Bug 1160429 - Timed out waiting for device dev-mapper-mpatha2.device
Summary: Timed out waiting for device dev-mapper-mpatha2.device
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: 21
Hardware: ppc64
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker F21FinalBlocker F21PPCBeta
TreeView+ depends on / blocked
 
Reported: 2014-11-04 19:27 UTC by Mark Hamzy
Modified: 2014-11-17 06:31 UTC (History)
19 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-68.fc21.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 06:31:53 UTC


Attachments (Terms of Use)
anaconda.log (23.78 KB, text/plain)
2014-11-04 19:31 UTC, Mark Hamzy
no flags Details
program.log (208.69 KB, text/plain)
2014-11-04 19:32 UTC, Mark Hamzy
no flags Details
storage.log (841.13 KB, text/plain)
2014-11-04 19:32 UTC, Mark Hamzy
no flags Details
syslog (124.58 KB, text/plain)
2014-11-04 19:59 UTC, Mark Hamzy
no flags Details
/var/log/messages from failed system boot up (267.91 KB, text/plain)
2014-11-05 20:20 UTC, Mark Hamzy
no flags Details

Description Mark Hamzy 2014-11-04 19:27:37 UTC
After installation of the Fedora 21 Alpha iso located at https://alt.fedoraproject.org/pub/fedora-secondary/releases/test/21-Alpha/Server/ppc64/iso/Fedora-Server-DVD-ppc64-21_Alpha.iso

The system installs and then reboots:

[    0.000000] OPAL V3 detected !
[    0.000000] Using PowerNV machine description
[    0.000000] Page sizes from device-tree:
[    0.000000] base_shift=12: shift=12, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=0
[    0.000000] base_shift=12: shift=16, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=7
[    0.000000] base_shift=12: shift=24, sllp=0x0000, avpnm=0x00000000, tlbiel=1, penc=56
[    0.000000] base_shift=16: shift=16, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=1
[    0.000000] base_shift=16: shift=24, sllp=0x0110, avpnm=0x00000000, tlbiel=1, penc=8
[    0.000000] base_shift=24: shift=24, sllp=0x0100, avpnm=0x00000001, tlbiel=0, penc=0
[    0.000000] base_shift=34: shift=34, sllp=0x0120, avpnm=0x000007ff, tlbiel=0, penc=3
[    0.000000] Using 1TB segments
[    0.000000] cma: Reserved 13184 MiB at 3cb8000000
[    0.000000] Found initrd at 0xc000000002be0000:0xc000000004003fb6
[    0.000000] bootconsole [udbg0] enabled
[    0.000000] CPU maps initialized for 4 threads per core
 -> smp_release_cpus()
spinning_secondaries = 0
 <- smp_release_cpus()
[    0.000000] Starting Linux PPC64 #1 SMP Thu Oct 9 18:26:26 UTC 2014
[    0.000000] -----------------------------------------------------
[    0.000000] ppc64_pft_size                = 0x0
[    0.000000] physicalMemorySize            = 0x4000000000
[    0.000000] htab_address                  = 0xc000003ff0000000
[    0.000000] htab_hash_mask                = 0x1fffff
[    0.000000] -----------------------------------------------------
 <- setup_system()
[    0.000000] Initializing cgroup subsys cpuset
[    0.000000] Initializing cgroup subsys cpu
[    0.000000] Initializing cgroup subsys cpuacct
[    0.000000] Linux version 3.17.0-301.fc21.ppc64p7 (mockbuild@ppc-builder2.qa.fedoraproject.org) (gcc version 4.9.1 20140930 (Red Hat 4.9.1-11) (GCC) ) #1 SMP Thu Oct 9 18:26:26 UTC 2014
[    0.000000] [boot]0012 Setup Arch
[    0.000000] Probing IODA IO-Hub /io-hub@3efe00000000
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe00080000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe00080000 (primary) ranges:
[    0.000000]   IO 0x00003efe01000000..0x00003efe017fffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da080000000..0x00003da0fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0x600)
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe00090000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe00090000  ranges:
[    0.000000]   IO 0x00003efe01800000..0x00003efe01ffffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da180000000..0x00003da1fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0xa00)
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe000a0000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe000a0000  ranges:
[    0.000000]   IO 0x00003efe02000000..0x00003efe027fffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da280000000..0x00003da2fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0xe00)
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe000b0000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe000b0000  ranges:
[    0.000000]   IO 0x00003efe02800000..0x00003efe02ffffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da380000000..0x00003da3fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0x1200)
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe000c0000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe000c0000  ranges:
[    0.000000]   IO 0x00003efe03000000..0x00003efe037fffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da480000000..0x00003da4fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0x1600)
[    0.000000] Initializing IODA1 OPAL PHB /io-hub@3efe00000000/pciex@3efe000d0000
[    0.000000] PCI host bridge /io-hub@3efe00000000/pciex@3efe000d0000  ranges:
[    0.000000]   IO 0x00003efe03800000..0x00003efe03ffffff -> 0x0000000000000000
[    0.000000]  MEM 0x00003da580000000..0x00003da5fffeffff -> 0x0000000080000000 
[    0.000000]   Not support M64 window
[    0.000000]   128 (000) PE's M32: 0x80000000 [segment=0x1000000]
[    0.000000]                   IO: 0x800000 [segment=0x10000]
[    0.000000]   Allocated bitmap for 256 MSIs (base IRQ 0x1a00)
[    0.000000] OPAL nvram setup, 1048576 bytes
[    0.000000] Zone ranges:
[    0.000000]   DMA      [mem 0x00000000-0x3fffffffff]
[    0.000000]   Normal   empty
[    0.000000] Movable zone start for each node
[    0.000000] Early memory node ranges
[    0.000000]   node   0: [mem 0x00000000-0x1fffffffff]
[    0.000000]   node   1: [mem 0x2000000000-0x3fffffffff]
[    0.000000] [boot]0015 Setup Done
[    0.000000] PERCPU: Embedded 3 pages/cpu @c000000004200000 s103168 r0 d93440 u262144
[    0.000000] Built 2 zonelists in Node order, mobility grouping on.  Total pages: 4190720
[    0.000000] Policy zone: DMA
[    0.000000] Kernel command line: root=/dev/mapper/fedora--server_junostac4-root ro rd.lvm.lv=fedora-server_junostac4/root rd.lvm.lv=fedora-server_junostac4/swap LANG=en_US.UTF-8
[    0.000000] log_buf_len individual max cpu contribution: 4096 bytes
[    0.000000] log_buf_len total cpu_extra contributions: 258048 bytes
[    0.000000] log_buf_len min size: 262144 bytes
[    0.000000] log_buf_len: 524288 bytes
[    0.000000] early log buf free: 254480(97%)
[    0.000000] PID hash table entries: 4096 (order: -1, 32768 bytes)
[    0.000000] Sorting __ex_table...
[    0.000000] Memory: 254263552K/268435456K available (9280K kernel code, 1792K rwdata, 3460K rodata, 7104K init, 2680K bss, 14171904K reserved)
[    0.000000] SLUB: HWalign=128, Order=0-3, MinObjects=0, CPUs=64, Nodes=256
[    0.000000] Hierarchical RCU implementation.
[    0.000000] 	RCU dyntick-idle grace-period acceleration is enabled.
[    0.000000] 	RCU restricting CPUs from NR_CPUS=1024 to nr_cpu_ids=64.
[    0.000000] 	Offload RCU callbacks from all CPUs
[    0.000000] 	Offload RCU callbacks from CPUs: 0-63.
[    0.000000] RCU: Adjusting geometry for rcu_fanout_leaf=16, nr_cpu_ids=64
[    0.000000] NR_IRQS:512 nr_irqs:512 16
[    0.000000] ICS OPAL backend registered
[    0.000003] clocksource: timebase mult[1f40000] shift[24] registered
[    0.000696] Console: colour dummy device 80x25
[    0.001032] console [hvc0] enabled
[    0.001032] console [hvc0] enabled
[    0.001307] bootconsole [udbg0] disabled
[    0.001307] bootconsole [udbg0] disabled
[    0.162892] allocated 67108864 bytes of page_cgroup
[    0.162928] please try 'cgroup_disable=memory' option if you don't want memory cgroups
[    0.163313] mempolicy: Enabling automatic NUMA balancing. Configure with numa_balancing= or the kernel.numa_balancing sysctl
[    0.163379] pid_max: default: 65536 minimum: 512
[    0.164565] Security Framework initialized
[    0.164600] SELinux:  Initializing.
[    0.168788] Dentry cache hash table entries: 33554432 (order: 12, 268435456 bytes)
[    0.311130] Inode-cache hash table entries: 16777216 (order: 11, 134217728 bytes)
[    0.382056] Mount-cache hash table entries: 524288 (order: 6, 4194304 bytes)
[    0.382168] Mountpoint-cache hash table entries: 524288 (order: 6, 4194304 bytes)
[    0.387547] Initializing cgroup subsys memory
[    0.387716] Initializing cgroup subsys devices
[    0.387747] Initializing cgroup subsys freezer
[    0.387781] Initializing cgroup subsys net_cls
[    0.387812] Initializing cgroup subsys blkio
[    0.387842] Initializing cgroup subsys perf_event
[    0.387880] Initializing cgroup subsys net_prio
[    0.387910] Initializing cgroup subsys hugetlb
[    0.388087] ftrace: allocating 24160 entries in 9 pages
[    0.402208] EEH: PowerNV platform initialized
[    0.402259] POWER7 performance monitor hardware support registered
[    0.432626] Brought up 64 CPUs
[    0.433467] Enabling Asymmetric SMT scheduling
[    0.435123] devtmpfs: initialized
[    0.455365] EEH: devices created
[    0.461553] atomic64_test: passed
[    0.463249] NET: Registered protocol family 16
[    0.463320] IBM eBus Device Driver
[    0.463509] cpuidle: using governor menu
[    0.469710] PCI: Probing PCI hardware
[    0.469769] PCI host bridge to bus 0000:00
[    0.469790] pci_bus 0000:00: root bus resource [io  0x10000-0x80ffff] (bus address [0x0000-0x7fffff])
[    0.469834] pci_bus 0000:00: root bus resource [mem 0x3da080000000-0x3da0fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.469889] pci_bus 0000:00: root bus resource [bus 00-ff]
[    0.470609] pci 0000:00:00.0: PCI bridge to [bus 01-bf]
[    0.472544] pci 0000:01:00.0: PCI bridge to [bus 02-bf]
[    0.472795] pci 0000:02:04.0: PCI bridge to [bus 20-3f]
[    0.473316] pci 0000:02:05.0: PCI bridge to [bus 40-5f]
[    0.473837] pci 0000:02:06.0: PCI bridge to [bus 60-7f]
[    0.474426] pci 0000:02:08.0: PCI bridge to [bus 80-9f]
[    0.475717] pci 0000:80:00.0: PCI bridge to [bus 90-9f]
[    0.476703] pci 0000:02:09.0: PCI bridge to [bus a0-bf]
[    0.476936] PCI host bridge to bus 0001:00
[    0.476956] pci_bus 0001:00: root bus resource [io  0x820000-0x101ffff] (bus address [0x0000-0x7fffff])
[    0.476998] pci_bus 0001:00: root bus resource [mem 0x3da180000000-0x3da1fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.477054] pci_bus 0001:00: root bus resource [bus 00-ff]
[    0.477126] PCI host bridge to bus 0002:00
[    0.477146] pci_bus 0002:00: root bus resource [io  0x1030000-0x182ffff] (bus address [0x0000-0x7fffff])
[    0.477188] pci_bus 0002:00: root bus resource [mem 0x3da280000000-0x3da2fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.477242] pci_bus 0002:00: root bus resource [bus 00-ff]
[    0.478290] pci 0002:00:00.0: PCI bridge to [bus 01]
[    0.478439] PCI host bridge to bus 0003:00
[    0.478460] pci_bus 0003:00: root bus resource [io  0x1840000-0x203ffff] (bus address [0x0000-0x7fffff])
[    0.478503] pci_bus 0003:00: root bus resource [mem 0x3da380000000-0x3da3fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.478551] pci_bus 0003:00: root bus resource [bus 00-ff]
[    0.478608] PCI host bridge to bus 0004:00
[    0.478627] pci_bus 0004:00: root bus resource [io  0x2050000-0x284ffff] (bus address [0x0000-0x7fffff])
[    0.478670] pci_bus 0004:00: root bus resource [mem 0x3da480000000-0x3da4fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.478725] pci_bus 0004:00: root bus resource [bus 00-ff]
[    0.478782] PCI host bridge to bus 0005:00
[    0.478802] pci_bus 0005:00: root bus resource [io  0x2860000-0x305ffff] (bus address [0x0000-0x7fffff])
[    0.478844] pci_bus 0005:00: root bus resource [mem 0x3da580000000-0x3da5fffeffff] (bus address [0x80000000-0xfffeffff])
[    0.478899] pci_bus 0005:00: root bus resource [bus 00-ff]
[    0.479570] pci 0005:00:00.0: PCI bridge to [bus 01-3f]
[    0.480097] pci 0005:01:00.0: PCI bridge to [bus 20-3f]
[    0.480538] pci 0000:00:00.0: BAR 14: assigned [mem 0x3da080000000-0x3da084ffffff]
[    0.480575] pci 0000:00:00.0: BAR 15: assigned [mem 0x3da085000000-0x3da088ffffff 64bit pref]
[    0.480617] pci 0000:00:00.0: BAR 13: assigned [io  0x20000-0x3ffff]
[    0.480660] pci 0000:01:00.0: BAR 14: assigned [mem 0x3da080000000-0x3da083ffffff]
[    0.480697] pci 0000:01:00.0: BAR 15: assigned [mem 0x3da085000000-0x3da088ffffff 64bit pref]
[    0.480740] pci 0000:01:00.0: BAR 0: assigned [mem 0x3da084000000-0x3da08401ffff]
[    0.480788] pci 0000:01:00.0: BAR 13: assigned [io  0x20000-0x3ffff]
[    0.480825] pci 0000:02:05.0: BAR 14: assigned [mem 0x3da080000000-0x3da080ffffff]
[    0.480861] pci 0000:02:05.0: BAR 15: assigned [mem 0x3da085000000-0x3da086ffffff 64bit pref]
[    0.480903] pci 0000:02:06.0: BAR 14: assigned [mem 0x3da081000000-0x3da081ffffff]
[    0.480947] pci 0000:02:06.0: BAR 15: assigned [mem 0x3da087000000-0x3da087ffffff 64bit pref]
[    0.480997] pci 0000:02:08.0: BAR 14: assigned [mem 0x3da082000000-0x3da082ffffff]
[    0.481033] pci 0000:02:09.0: BAR 14: assigned [mem 0x3da083000000-0x3da083ffffff]
[    0.481069] pci 0000:02:09.0: BAR 15: assigned [mem 0x3da088000000-0x3da088ffffff 64bit pref]
[    0.481119] pci 0000:02:05.0: BAR 13: assigned [io  0x20000-0x2ffff]
[    0.481150] pci 0000:02:09.0: BAR 13: assigned [io  0x30000-0x3ffff]
[    0.481195] pci 0000:02:04.0: PCI bridge to [bus 20-3f]
[    0.481237] pci 0000:40:00.0: BAR 2: assigned [mem 0x3da085000000-0x3da085ffffff 64bit pref]
[    0.481296] pci 0000:40:00.0: BAR 0: assigned [mem 0x3da080000000-0x3da08003ffff 64bit]
[    0.481350] pci 0000:40:00.0: BAR 6: assigned [mem 0x3da080040000-0x3da08005ffff pref]
[    0.481387] pci 0000:02:05.0: PCI bridge to [bus 40-5f]
[    0.481414] pci 0000:02:05.0:   bridge window [io  0x20000-0x2ffff]
[    0.481450] pci 0000:02:05.0:   bridge window [mem 0x3da080000000-0x3da080ffffff]
[    0.481490] pci 0000:02:05.0:   bridge window [mem 0x3da085000000-0x3da086ffffff 64bit pref]
[    0.481546] pci 0000:60:00.0: BAR 2: assigned [mem 0x3da087000000-0x3da087ffffff 64bit pref]
[    0.481606] pci 0000:60:00.0: BAR 0: assigned [mem 0x3da081000000-0x3da08103ffff 64bit]
[    0.481667] pci 0000:60:00.0: BAR 6: assigned [mem 0x3da081040000-0x3da08105ffff pref]
[    0.481703] pci 0000:02:06.0: PCI bridge to [bus 60-7f]
[    0.481741] pci 0000:02:06.0:   bridge window [mem 0x3da081000000-0x3da081ffffff]
[    0.481781] pci 0000:02:06.0:   bridge window [mem 0x3da087000000-0x3da087ffffff 64bit pref]
[    0.481836] pci 0000:80:00.0: BAR 14: assigned [mem 0x3da082000000-0x3da082ffffff]
[    0.481874] pci 0000:90:01.0: BAR 0: assigned [mem 0x3da082000000-0x3da082000fff]
[    0.481925] pci 0000:90:01.1: BAR 0: assigned [mem 0x3da082001000-0x3da082001fff]
[    0.481968] pci 0000:90:01.2: BAR 0: assigned [mem 0x3da082002000-0x3da0820020ff]
[    0.482019] pci 0000:80:00.0: PCI bridge to [bus 90-9f]
[    0.482052] pci 0000:80:00.0:   bridge window [mem 0x3da082000000-0x3da082ffffff]
[    0.482106] pci 0000:02:08.0: PCI bridge to [bus 80-9f]
[    0.482144] pci 0000:02:08.0:   bridge window [mem 0x3da082000000-0x3da082ffffff]
[    0.482192] pci 0000:a0:00.0: BAR 0: assigned [mem 0x3da083000000-0x3da08301ffff]
[    0.482234] pci 0000:a0:00.0: BAR 1: assigned [mem 0x3da083020000-0x3da08303ffff]
[    0.482283] pci 0000:a0:00.0: BAR 6: assigned [mem 0x3da083040000-0x3da08305ffff pref]
[    0.482319] pci 0000:a0:00.1: BAR 0: assigned [mem 0x3da083060000-0x3da08307ffff]
[    0.482361] pci 0000:a0:00.1: BAR 1: assigned [mem 0x3da083080000-0x3da08309ffff]
[    0.482403] pci 0000:a0:00.1: BAR 6: assigned [mem 0x3da0830a0000-0x3da0830bffff pref]
[    0.482440] pci 0000:a0:00.0: BAR 2: assigned [io  0x30000-0x3001f]
[    0.482476] pci 0000:a0:00.1: BAR 2: assigned [io  0x30020-0x3003f]
[    0.482511] pci 0000:02:09.0: PCI bridge to [bus a0-bf]
[    0.482539] pci 0000:02:09.0:   bridge window [io  0x30000-0x3ffff]
[    0.482575] pci 0000:02:09.0:   bridge window [mem 0x3da083000000-0x3da083ffffff]
[    0.482621] pci 0000:02:09.0:   bridge window [mem 0x3da088000000-0x3da088ffffff 64bit pref]
[    0.482670] pci 0000:01:00.0: PCI bridge to [bus 02-bf]
[    0.482698] pci 0000:01:00.0:   bridge window [io  0x20000-0x3ffff]
[    0.482734] pci 0000:01:00.0:   bridge window [mem 0x3da080000000-0x3da083ffffff]
[    0.482774] pci 0000:01:00.0:   bridge window [mem 0x3da085000000-0x3da088ffffff 64bit pref]
[    0.482823] pci 0000:00:00.0: PCI bridge to [bus 01-bf]
[    0.482850] pci 0000:00:00.0:   bridge window [io  0x20000-0x3ffff]
[    0.482886] pci 0000:00:00.0:   bridge window [mem 0x3da080000000-0x3da084ffffff]
[    0.482932] pci 0000:00:00.0:   bridge window [mem 0x3da085000000-0x3da088ffffff 64bit pref]
[    0.483036] pci 0002:00:00.0: BAR 14: assigned [mem 0x3da280000000-0x3da280ffffff]
[    0.483073] pci 0002:00:00.0: BAR 15: assigned [mem 0x3da281000000-0x3da281ffffff 64bit pref]
[    0.483116] pci 0002:00:00.0: BAR 13: assigned [io  0x1040000-0x104ffff]
[    0.483147] pci 0002:01:00.0: BAR 0: assigned [mem 0x3da280000000-0x3da28001ffff]
[    0.483195] pci 0002:01:00.0: BAR 1: assigned [mem 0x3da280020000-0x3da28003ffff]
[    0.483236] pci 0002:01:00.0: BAR 6: assigned [mem 0x3da280040000-0x3da28005ffff pref]
[    0.483279] pci 0002:01:00.1: BAR 0: assigned [mem 0x3da280060000-0x3da28007ffff]
[    0.483329] pci 0002:01:00.1: BAR 1: assigned [mem 0x3da280080000-0x3da28009ffff]
[    0.483371] pci 0002:01:00.1: BAR 6: assigned [mem 0x3da2800a0000-0x3da2800bffff pref]
[    0.483415] pci 0002:01:00.0: BAR 2: assigned [io  0x1040000-0x104001f]
[    0.483450] pci 0002:01:00.1: BAR 2: assigned [io  0x1040020-0x104003f]
[    0.483485] pci 0002:00:00.0: PCI bridge to [bus 01]
[    0.483512] pci 0002:00:00.0:   bridge window [io  0x1040000-0x104ffff]
[    0.483548] pci 0002:00:00.0:   bridge window [mem 0x3da280000000-0x3da280ffffff]
[    0.483588] pci 0002:00:00.0:   bridge window [mem 0x3da281000000-0x3da281ffffff 64bit pref]
[    0.483675] pci 0005:01:00.0: disabling bridge window [mem 0x00000000-0xffffffffffffffff 64bit pref] to [bus 20-3f] (unused)
[    0.483752] pci 0005:00:00.0: BAR 14: assigned [mem 0x3da580000000-0x3da583ffffff]
[    0.483789] pci 0005:00:00.0: BAR 15: assigned [mem 0x3da584000000-0x3da584ffffff 64bit pref]
[    0.483838] pci 0005:00:00.0: BAR 13: assigned [io  0x2870000-0x287ffff]
[    0.483870] pci 0005:01:00.0: BAR 14: assigned [mem 0x3da580000000-0x3da582ffffff]
[    0.483907] pci 0005:20:00.0: BAR 0: assigned [mem 0x3da580000000-0x3da581ffffff pref]
[    0.483955] pci 0005:20:00.0: BAR 2: assigned [mem 0x3da582000000-0x3da5827fffff]
[    0.484005] pci 0005:20:00.0: BAR 1: assigned [mem 0x3da582800000-0x3da582803fff]
[    0.484047] pci 0005:01:00.0: PCI bridge to [bus 20-3f]
[    0.484086] pci 0005:01:00.0:   bridge window [mem 0x3da580000000-0x3da582ffffff]
[    0.484143] pci 0005:00:00.0: PCI bridge to [bus 01-3f]
[    0.484170] pci 0005:00:00.0:   bridge window [io  0x2870000-0x287ffff]
[    0.484213] pci 0005:00:00.0:   bridge window [mem 0x3da580000000-0x3da583ffffff]
[    0.484252] pci 0005:00:00.0:   bridge window [mem 0x3da584000000-0x3da584ffffff 64bit pref]
[    0.484323] pci 0000:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484367] pci 0000:01     : [PE# 002] Secondary bus 1 associated with PE#2
[    0.484415] pci 0000:02     : [PE# 003] Secondary bus 2 associated with PE#3
[    0.484457] pci 0000:20     : [PE# 004] Secondary bus 32 associated with PE#4
[    0.484499] pci 0000:40     : [PE# 005] Secondary bus 64 associated with PE#5
[    0.484547] pci 0000:60     : [PE# 006] Secondary bus 96 associated with PE#6
[    0.484596] pci 0000:80     : [PE# 007] Secondary bus 128 associated with PE#7
[    0.484646] pci 0000:90     : [PE# 008] Secondary bus 144..159 associated with PE#8
[    0.484692] pci 0000:a0     : [PE# 009] Secondary bus 160 associated with PE#9
[    0.484734] pci 0001:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484774] pci 0002:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484815] pci 0002:01     : [PE# 002] Secondary bus 1 associated with PE#2
[    0.484856] pci 0003:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484897] pci 0004:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484938] pci 0005:00     : [PE# 001] Secondary bus 0 associated with PE#1
[    0.484978] pci 0005:01     : [PE# 002] Secondary bus 1 associated with PE#2
[    0.485019] pci 0005:20     : [PE# 003] Secondary bus 32..63 associated with PE#3
[    0.485314] PCI: Domain 0000 has 8 available 32-bit DMA segments
[    0.485344] PCI: 4 PE# for a total weight of 59
[    0.485368] pci 0000:a0     : [PE# 009] DMA weight 20, assigned 2 DMA32 segments
[    0.485404] pci 0000:a0     : [PE# 009]  Setting up 32-bit TCE table at 00000000..1fffffff
[    0.491216] IOMMU table initialized, virtual merging enabled
[    0.491248] pci 0000:40     : [PE# 005] DMA weight 15, assigned 2 DMA32 segments
[    0.491284] pci 0000:40     : [PE# 005]  Setting up 32-bit TCE table at 20000000..3fffffff
[    0.497072] pci 0000:60     : [PE# 006] DMA weight 15, assigned 2 DMA32 segments
[    0.497115] pci 0000:60     : [PE# 006]  Setting up 32-bit TCE table at 40000000..5fffffff
[    0.502876] pci 0000:90     : [PE# 008] DMA weight 9, assigned 2 DMA32 segments
[    0.502918] pci 0000:90     : [PE# 008]  Setting up 32-bit TCE table at 60000000..7fffffff
[    0.508707] PCI: Domain 0001 has 8 available 32-bit DMA segments
[    0.508738] PCI: 0 PE# for a total weight of 0
[    0.508762] PCI: Domain 0002 has 8 available 32-bit DMA segments
[    0.508791] PCI: 1 PE# for a total weight of 20
[    0.508823] pci 0002:01     : [PE# 002] DMA weight 20, assigned 8 DMA32 segments
[    0.508859] pci 0002:01     : [PE# 002]  Setting up 32-bit TCE table at 00000000..7fffffff
[    0.531767] PCI: Domain 0003 has 8 available 32-bit DMA segments
[    0.531801] PCI: 0 PE# for a total weight of 0
[    0.531825] PCI: Domain 0004 has 8 available 32-bit DMA segments
[    0.531855] PCI: 0 PE# for a total weight of 0
[    0.531887] PCI: Domain 0005 has 8 available 32-bit DMA segments
[    0.531917] PCI: 1 PE# for a total weight of 10
[    0.531942] pci 0005:20     : [PE# 003] DMA weight 10, assigned 8 DMA32 segments
[    0.531978] pci 0005:20     : [PE# 003]  Setting up 32-bit TCE table at 00000000..7fffffff
[    0.556211] EEH: PCI Enhanced I/O Error Handling Enabled
[    0.556596] DUMP: Failed to register kernel log buffer. rc = -1
[    0.556641] SYSPARAM: Opal sysparam node not found
[    0.556678] opal_async_comp_init: /ibm,opal has no opal-msg-async-num
[    0.556751] powernv-rng: Registering arch random hook.
[    0.563624] vgaarb: device added: PCI:0005:20:00.0,decodes=io+mem,owns=none,locks=none
[    0.563661] vgaarb: loaded
[    0.563673] vgaarb: bridge control possible 0005:20:00.0
[    0.563874] SCSI subsystem initialized
[    0.564063] usbcore: registered new interface driver usbfs
[    0.564095] usbcore: registered new interface driver hub
[    0.564140] usbcore: registered new device driver usb
[    0.564543] NetLabel: Initializing
[    0.564562] NetLabel:  domain hash size = 128
[    0.564587] NetLabel:  protocols = UNLABELED CIPSOv4
[    0.564627] NetLabel:  unlabeled traffic allowed by default
[    0.564917] Switched to clocksource timebase
[    0.571457] NET: Registered protocol family 2
[    0.571889] TCP established hash table entries: 524288 (order: 6, 4194304 bytes)
[    0.572838] TCP bind hash table entries: 65536 (order: 4, 1048576 bytes)
[    0.573073] TCP: Hash tables configured (established 524288 bind 65536)
[    0.573122] TCP: reno registered
[    0.573162] UDP hash table entries: 65536 (order: 5, 2097152 bytes)
[    0.573538] UDP-Lite hash table entries: 65536 (order: 5, 2097152 bytes)
[    0.574161] NET: Registered protocol family 1
[    0.684949] pci 0005:01:00.0: TI XIO2000a quirk detected; secondary bus fast back-to-back transfers disabled
[    0.685068] Unpacking initramfs...
[    0.948483] Freeing initrd memory: 20608K (c000000002be0000 - c000000004000000)
[    0.948747] rtas_flash: no firmware flash support
[    0.965853] futex hash table entries: 16384 (order: 5, 2097152 bytes)
[    0.966301] audit: initializing netlink subsys (disabled)
[    0.966356] audit: type=2000 audit(1415113387.960:1): initialized
[    0.967091] HugeTLB registered 16 MB page size, pre-allocated 0 pages
[    0.967123] HugeTLB registered 16 GB page size, pre-allocated 0 pages
[    0.968701] zpool: loaded
[    0.969047] VFS: Disk quotas dquot_6.5.2
[    0.969271] Dquot-cache hash table entries: 8192 (order 0, 65536 bytes)
[    0.971106] msgmni has been set to 32768
[    0.971321] Key type big_key registered
[    0.971989] alg: No test for stdrng (krng)
[    0.972015] NET: Registered protocol family 38
[    0.972183] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 252)
[    0.972355] io scheduler noop registered
[    0.972375] io scheduler deadline registered
[    0.972542] io scheduler cfq registered (default)
[    0.972638] pci_hotplug: PCI Hot Plug PCI Core version: 0.5
[    0.972736] matroxfb: Matrox G550 detected
[    1.599606] PInS data found at offset 32032
[    1.600492] PInS memtype = 5
[    1.600652] matroxfb: 640x480x8bpp (virtual: 640x26214)
[    1.600677] matroxfb: framebuffer at 0x3DA580000000, mapped to 0xd000080081000000, size 33554432
[    1.603880] Console: switching to colour frame buffer device 80x30
[    1.607164] fb0: MATROX frame buffer device
[    1.607232] matroxfb_crtc2: secondary head of fb0 was registered as fb1
[    1.607326] hvc0: raw protocol on /ibm,opal/consoles/serial@0 (boot console)
[    1.607564] hvc1: hvsi protocol on /ibm,opal/consoles/serial@1
[    1.607599] hvc2: hvsi protocol on /ibm,opal/consoles/serial@2
[    1.607637] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    1.607934] Linux agpgart interface v0.103
[    1.608242] Uniform Multi-Platform E-IDE driver
[    1.608292] ide-gd driver 1.18
[    1.608407] libphy: Fixed MDIO Bus: probed
[    1.608467] ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
[    1.608507] ehci-pci: EHCI PCI platform driver
[    1.608570] ehci-pci 0000:90:01.2: EHCI Host Controller
[    1.608628] ehci-pci 0000:90:01.2: new USB bus registered, assigned bus number 1
[    1.608746] ehci-pci 0000:90:01.2: irq 20, io mem 0x3da082002000
[    1.624887] ehci-pci 0000:90:01.2: USB 2.0 started, EHCI 1.00
[    1.624956] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    1.624988] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.625024] usb usb1: Product: EHCI Host Controller
[    1.625049] usb usb1: Manufacturer: Linux 3.17.0-301.fc21.ppc64p7 ehci_hcd
[    1.625079] usb usb1: SerialNumber: 0000:90:01.2
[    1.625210] hub 1-0:1.0: USB hub found
[    1.625233] hub 1-0:1.0: 5 ports detected
[    1.625393] ohci_hcd: USB 1.1 'Open' Host Controller (OHCI) Driver
[    1.625434] ohci-pci: OHCI PCI platform driver
[    1.625482] ohci-pci 0000:90:01.0: OHCI PCI host controller
[    1.625561] ohci-pci 0000:90:01.0: new USB bus registered, assigned bus number 2
[    1.625623] ohci-pci 0000:90:01.0: irq 18, io mem 0x3da082000000
[    1.714970] usb usb2: New USB device found, idVendor=1d6b, idProduct=0001
[    1.715001] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.715037] usb usb2: Product: OHCI PCI host controller
[    1.715069] usb usb2: Manufacturer: Linux 3.17.0-301.fc21.ppc64p7 ohci_hcd
[    1.715100] usb usb2: SerialNumber: 0000:90:01.0
[    1.715233] hub 2-0:1.0: USB hub found
[    1.715261] hub 2-0:1.0: 3 ports detected
[    1.715388] ohci-pci 0000:90:01.1: OHCI PCI host controller
[    1.715466] ohci-pci 0000:90:01.1: new USB bus registered, assigned bus number 3
[    1.715528] ohci-pci 0000:90:01.1: irq 19, io mem 0x3da082001000
[    1.805055] usb usb3: New USB device found, idVendor=1d6b, idProduct=0001
[    1.805089] usb usb3: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    1.805126] usb usb3: Product: OHCI PCI host controller
[    1.805150] usb usb3: Manufacturer: Linux 3.17.0-301.fc21.ppc64p7 ohci_hcd
[    1.805180] usb usb3: SerialNumber: 0000:90:01.1
[    1.805441] hub 3-0:1.0: USB hub found
[    1.805470] hub 3-0:1.0: 2 ports detected
[    1.805685] uhci_hcd: USB Universal Host Controller Interface driver
[    1.805834] usbcore: registered new interface driver usbserial
[    1.805873] usbcore: registered new interface driver usbserial_generic
[    1.805911] usbserial: USB Serial support registered for generic
[    1.806108] mousedev: PS/2 mouse device common for all mice
[    2.484891] rtc-generic rtc-generic: rtc core: registered rtc-generic as rtc0
[    2.484963] ibmpowernv ibmpowernv.0: Opal node 'sensors' not found
[    2.485000] ibmpowernv: Platfrom driver probe failed
[    2.485288] device-mapper: uevent: version 1.0.3
[    2.485512] device-mapper: ioctl: 4.27.0-ioctl (2013-10-30) initialised: dm-devel@redhat.com
[    2.485615] opal: PowerMgmt Node not found
[    2.486076] hidraw: raw HID events driver (C) Jiri Kosina
[    2.486196] usbcore: registered new interface driver usbhid
[    2.486220] usbhid: USB HID core driver
[    2.486246] drop_monitor: Initializing network drop monitor service
[    2.486365] ip_tables: (C) 2000-2006 Netfilter Core Team
[    2.486791] TCP: cubic registered
[    2.486814] Initializing XFRM netlink socket
[    2.487343] NET: Registered protocol family 10
[    2.487865] mip6: Mobile IPv6
[    2.487889] NET: Registered protocol family 17
[    2.489825] registered taskstats version 1
[    4.000956] rtc-generic rtc-generic: setting system clock to 2014-11-04 15:03:11 UTC (1415113391)
[    4.001308] random: nonblocking pool is initialized
[    4.002237] Freeing unused kernel memory: 7104K (c000000000c80000 - c000000001370000)
[    4.010398] systemd[1]: systemd 215 running in system mode. (+PAM +AUDIT +SELINUX +IMA +SYSVINIT +LIBCRYPTSETUP +GCRYPT +ACL +XZ -SECCOMP -APPARMOR)
[    4.010732] systemd[1]: Detected architecture 'ppc64'.
[    4.010763] systemd[1]: Running in initial RAM disk.

Welcome to Fedora 21 (Twenty One) dracut-038-30.git20140903.fc21 (Initramfs)!

[    4.011122] systemd[1]: Set hostname to <junostac4.austin.ibm.com>.
[    4.129637] systemd[1]: Expecting device dev-mapper-fedora\x2d\x2dserver_junostac4\x2dswap.device...
         Expecting device dev-mapper-fedora\x2d\x2dserver_jun...dswap.device...
[    4.129838] systemd[1]: Expecting device dev-disk-by\x2duuid-8fe4d44c\x2d82b7\x2d4139\x2dbbf5\x2de0aa40794e4e.device...
         Expecting device dev-disk-by\x2duuid-8fe4d44c\x2d82b...94e4e.device...
[    4.130022] systemd[1]: Expecting device dev-mapper-fedora\x2d\x2dserver_junostac4\x2droot.device...
         Expecting device dev-mapper-fedora\x2d\x2dserver_jun...droot.device...
[    4.130208] systemd[1]: Starting Timers.
[  OK  ] Reached target Timers.
[    4.130352] systemd[1]: Reached target Timers.
[    4.130404] systemd[1]: Starting -.slice.
[  OK  ] Created slice -.slice.
[    4.220367] systemd[1]: Created slice -.slice.
[    4.220428] systemd[1]: Starting udev Kernel Socket.
[  OK  ] Listening on udev Kernel Socket.
[    4.220588] systemd[1]: Listening on udev Kernel Socket.
[    4.220634] systemd[1]: Starting udev Control Socket.
[  OK  ] Listening on udev Control Socket.
[    4.220806] systemd[1]: Listening on udev Control Socket.
[    4.220856] systemd[1]: Starting Journal Socket (/dev/log).
[  OK  ] Listening on Journal Socket (/dev/log).
[    4.221052] systemd[1]: Listening on Journal Socket (/dev/log).
[    4.221105] systemd[1]: Starting Journal Socket.
[  OK  ] Listening on Journal Socket.
[    4.221286] systemd[1]: Listening on Journal Socket.
[    4.221332] systemd[1]: Starting Sockets.
[  OK  ] Reached target Sockets.
[    4.221459] systemd[1]: Reached target Sockets.
[    4.221502] systemd[1]: Starting System Slice.
[  OK  ] Created slice System Slice.
[    4.221940] systemd[1]: Created slice System Slice.
[    4.221985] systemd[1]: Starting system-systemd\x2dfsck.slice.
[  OK  ] Created slice system-systemd\x2dfsck.slice.
[    4.222449] systemd[1]: Created slice system-systemd\x2dfsck.slice.
[    4.222545] systemd[1]: Started dracut ask for additional cmdline parameters.
[    4.222758] systemd[1]: Starting dracut cmdline hook...
         Starting dracut cmdline hook...
[    4.223767] systemd[1]: Started Load Kernel Modules.
[    4.223900] systemd[1]: Starting Create list of required static device nodes for the current kernel...
         Starting Create list of required static device nodes...rrent kernel...
[    4.224682] systemd[1]: Starting Apply Kernel Variables...
         Starting Apply Kernel Variables...
[    4.225520] systemd[1]: Starting Journal Service...
         Starting Journal Service...
[  OK  ] Started Journal Service.
[    4.226395] systemd[1]: Started Journal Service.
[  OK  ] Reached target Slices.
         Starting Setup Virtual Console...
         Starting Device-Mapper Multipath Device Controller...
[  OK  ] Reached target Swap.
[  OK  ] Reached target Local File Systems.
[  OK  ] Started Create list of required static device nodes ...current kernel.
[  OK  ] Started Apply Kernel Variables.
[    4.231703] device-mapper: multipath: version 1.7.0 loaded
         Starting Create Static Device Nodes in /dev...
[  OK  ] Started Device-Mapper Multipath Device Controller.
[  OK  ] Started Create Static Device Nodes in /dev.
[  OK  ] Started Setup Virtual Console.
[  OK  ] Started dracut cmdline hook.
         Starting dracut pre-udev hook...
[  OK  ] Started dracut pre-udev hook.
         Starting udev Kernel Device Manager...
[    4.491862] systemd-udevd[700]: starting version 215
[  OK  ] Started udev Kernel Device Manager.
         Starting udev Coldplug all Devices...
         Mounting Configuration File System...
[  OK  ] Mounted Configuration File System.
[    4.544749] ipr: IBM Power RAID SCSI Device Driver version: 2.6.0 (November 16, 2012)
[    4.544819] ipr 0000:40:00.0: Found IOA with IRQ: 18
[    4.545209] pps_core: LinuxPPS API ver. 1 registered
[    4.545240] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
[    4.545241] ipr 0000:40:00.0: Using 32-bit DMA via iommu
[    4.545503] ipr 0000:40:00.0: Received IRQ : 30
[    4.545804] PTP clock support registered
[    4.546127] ipr 0000:40:00.0: Request for 1 MSIs succeeded with starting IRQ: 30
[    4.546526] ipr 0000:40:00.0: Initializing IOA.
[    4.551085] e1000e: Intel(R) PRO/1000 Network Driver - 2.3.2-k
[    4.551119] e1000e: Copyright(c) 1999 - 2014 Intel Corporation.
[    4.551203] e1000e 0000:a0:00.0: Using 32-bit DMA via iommu
[    4.551320] e1000e 0000:a0:00.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[  OK  ] Started udev Coldplug all Devices.
         Starting dracut initqueue hook...
[  OK  ] Reached target System Initialization.
         Starting Show Plymouth Boot Screen...
[    4.601430] e1000e 0000:a0:00.0 eth0: (PCI Express:2.5GT/s:Width x4) 00:14:5e:79:b3:c4
[    4.601474] e1000e 0000:a0:00.0 eth0: Intel(R) PRO/1000 Network Connection
[    4.601579] e1000e 0000:a0:00.0 eth0: MAC: 0, PHY: 1, PBA No: E34295-004
[    4.601650] e1000e 0000:a0:00.1: Using 32-bit DMA via iommu
[    4.601768] e1000e 0000:a0:00.1: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    4.652057] e1000e 0000:a0:00.1 eth1: (PCI Express:2.5GT/s:Width x4) 00:14:5e:79:b3:c5
[    4.652099] e1000e 0000:a0:00.1 eth1: Intel(R) PRO/1000 Network Connection
[    4.652204] e1000e 0000:a0:00.1 eth1: MAC: 0, PHY: 1, PBA No: E34295-004
[    4.652289] e1000e 0002:01:00.0: Using 32-bit DMA via iommu
[    4.652394] e1000e 0002:01:00.0: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    4.829855] e1000e 0002:01:00.0 eth2: (PCI Express:2.5GT/s:Width x4) 00:14:5e:74:03:62
[    4.829897] e1000e 0002:01:00.0 eth2: Intel(R) PRO/1000 Network Connection
[    4.830012] e1000e 0002:01:00.0 eth2: MAC: 0, PHY: 4, PBA No: D48957-002
[    4.830074] e1000e 0002:01:00.1: Using 32-bit DMA via iommu
[    4.830189] e1000e 0002:01:00.1: Interrupt Throttling Rate (ints/sec) set to dynamic conservative mode
[    5.009815] e1000e 0002:01:00.1 eth3: (PCI Express:2.5GT/s:Width x4) 00:14:5e:74:03:63
[    5.009856] e1000e 0002:01:00.1 eth3: Intel(R) PRO/1000 Network Connection
[    5.009970] e1000e 0002:01:00.1 eth3: MAC: 0, PHY: 4, PBA No: D48957-002
[    5.011301] e1000e 0000:a0:00.1 enp160s0f1: renamed from eth1
[    5.045132] e1000e 0002:01:00.1 enP2p1s0f1: renamed from eth3
[    5.045149] systemd-udevd[705]: renamed network interface eth1 to enp160s0f1
[    5.085146] systemd-udevd[708]: renamed network interface eth3 to enP2p1s0f1
[    5.085188] e1000e 0000:a0:00.0 enp160s0f0: renamed from eth0
[    5.125116] e1000e 0002:01:00.0 enP2p1s0f0: renamed from eth2
[    5.125134] systemd-udevd[704]: renamed network interface eth0 to enp160s0f0
[    5.165140] systemd-udevd[707]: renamed network interface eth2 to enP2p1s0f0
[   23.375187] ipr 0000:40:00.0: Starting IOA initialization sequence.
[   23.409199] ipr 0000:40:00.0: Adapter firmware version: 04220029
[   23.476871] ipr 0000:40:00.0: IOA initialized.
[   23.476920] scsi host0: IBM 2B4C Storage Adapter
[   23.476971] ipr 0000:40:00.0: 9062: One or more disks are missing from an array
[   23.476972] ipr: ----------------------------------------------------------
[   23.476974] ipr: RAID 0 Array Configuration: 0:255:0:0
[   23.476974] ipr: ----------------------------------------------------------
[   23.476975] ipr: Exposed Array Member 0:
[   23.476978] ipr: Vendor/Product ID: IBM     MBF2600RC       
[   23.476978] ipr:     Serial Number: EA009C36
[   23.476979] ipr:     WWN: 5000039378093A70
[   23.476979] ipr: Current Location: unknown
[   23.476980] ipr: Expected Location: 0:0:5:0
[   23.476981] ipr: ----------------------------------------------------------
[   23.476981] ipr: Array Member 1:
[   23.476982] ipr: Vendor/Product ID: IBM     MBF2600RC       
[   23.476982] ipr:     Serial Number: EA009C3D
[   23.476983] ipr:     WWN: 5000039378093A9C
[   23.476984] ipr: Current Location: 0:0:6:0
[   23.476985] ipr: Expected Location: 0:0:4:0
[   23.476987] ipr: ----------------------------------------------------------
[   23.476988] ipr: Array Member 2:
[   23.476989] ipr: Vendor/Product ID: IBM     MBF2600RC       
[   23.476989] ipr:     Serial Number: EA009C2R
[   23.476990] ipr:     WWN: 5000039378093A30
[   23.476991] ipr: Current Location: 0:0:9:0
[   23.476991] ipr: Expected Location: 0:0:9:0
[   23.476992] ipr: ----------------------------------------------------------
[   23.478889] scsi 0:0:4:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   23.480707] scsi 0:0:5:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   23.482410] scsi 0:0:6:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   23.535737] scsi 0:0:7:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   23.537495] scsi 0:0:9:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   23.595510] scsi 0:0:18:0: Enclosure         IBM      PSBPD6E4A  3GSAS 0109 PQ: 0 ANSI: 4
[   23.610337] scsi 0:2:18:0: Enclosure         IBM      PSBPD6E4A  3GSAS 0109 PQ: 0 ANSI: 4
[   23.770921] sd 0:0:4:0: Attached scsi generic sg0 type 0
[   23.771249] sd 0:0:5:0: Attached scsi generic sg1 type 0
[   23.771484] scsi 0:0:6:0: Attached scsi generic sg2 type 12
[   23.771776] sd 0:0:7:0: Attached scsi generic sg3 type 0
[   23.772008] scsi 0:0:9:0: Attached scsi generic sg4 type 12
[   23.772262] scsi 0:0:18:0: Attached scsi generic sg5 type 13
[   23.772510] scsi 0:2:18:0: Attached scsi generic sg6 type 13
[   23.785622] sd 0:0:4:0: [sda] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   23.785628] sd 0:0:7:0: [sdc] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   23.785644] sd 0:0:5:0: [sdb] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   23.786792] sd 0:0:7:0: [sdc] Write Protect is off
[   23.786804] sd 0:0:5:0: [sdb] Write Protect is off
[   23.786966] sd 0:0:4:0: [sda] Write Protect is off
[   23.787396] sd 0:0:5:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   23.787426] sd 0:0:7:0: [sdc] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   23.787578] sd 0:0:4:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   23.793199]  sda: sda1
[   23.795678] sd 0:0:4:0: [sda] Attached SCSI disk
[   23.796203]  sdc: sdc1 sdc2 sdc3
[   23.796508]  sdb: sdb1
[   23.798928] sd 0:0:7:0: [sdc] Attached SCSI disk
[   23.799006] sd 0:0:5:0: [sdb] Attached SCSI disk
[   23.865078] scsi 0:255:255:255: No Device         IBM      2B4C001SISIOA    0150 PQ: 0 ANSI: 0
[   23.865527] scsi 0:255:255:255: Attached scsi generic sg7 type 31
[   23.865657] ipr 0000:60:00.0: Found IOA with IRQ: 19
[   23.865840] ipr 0000:60:00.0: Using 32-bit DMA via iommu
[   23.865944] ipr 0000:60:00.0: Received IRQ : 35
[   23.865985] ipr 0000:60:00.0: Request for 1 MSIs succeeded with starting IRQ: 35
[   23.866272] ipr 0000:60:00.0: Initializing IOA.
[   27.448983] scsi 0:254:0:0: Processor         IBM      57CB001SISIOA    0150 PQ: 0 ANSI: 0
[   27.449274] scsi 0:254:0:0: Attached scsi generic sg8 type 3
[   36.573335] device-mapper: multipath service-time: version 0.2.0 loaded
[  OK  ] Started Show Plymouth Boot Screen.
[  OK  ] Reached target Paths.
[  OK  ] Reached target Basic System.
[   36.947048] ipr 0000:60:00.0: Starting IOA initialization sequence.
[   36.948086] ipr 0000:60:00.0: Adapter firmware version: 04220029
[  OK  ] Found device /dev/disk/by-uuid/8fe4d44c-82b7-4139-bbf5-e0aa40794e4e.
[   37.016588] ipr 0000:60:00.0: IOA initialized.
[   37.016639] scsi host1: IBM 57CB Storage Adapter
[   37.017953] scsi 1:0:4:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   37.019964] scsi 1:0:5:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   37.022006] scsi 1:0:7:0: Direct-Access     IBM      MBF2600RC        610A PQ: 0 ANSI: 6
[   37.023807] scsi 1:0:18:0: Enclosure         IBM      PSBPD6E4A  3GSAS 0109 PQ: 0 ANSI: 4
[   37.038830] scsi 1:2:18:0: Enclosure         IBM      PSBPD6E4A  3GSAS 0109 PQ: 0 ANSI: 4
[   38.675573] ata1.00: ATAPI: IBM     RMBO0040542, SA61, max UDMA/100
[   38.678353] ata1.00: configured for UDMA/100
[   38.681492] scsi 1:6:0:0: CD-ROM            IBM      RMBO0040542      SA61 PQ: 0 ANSI: 2
[   38.700744] scsi 1:8:0:0: Enclosure         IBM      VSBPD6E4B  3GSAS   01 PQ: 0 ANSI: 2
[   38.795255] sd 1:0:4:0: Attached scsi generic sg9 type 0
[   38.795670] sd 1:0:5:0: Attached scsi generic sg10 type 0
[   38.796536] sd 1:0:7:0: Attached scsi generic sg11 type 0
[   38.797125] scsi 1:0:18:0: Attached scsi generic sg12 type 13
[   38.798193] scsi 1:2:18:0: Attached scsi generic sg13 type 13
[   38.801520] sr 1:6:0:0: [sr0] scsi3-mmc drive: 24x/24x writer dvd-ram cd/rw xa/form2 cdda tray
[   38.801617] cdrom: Uniform CD-ROM driver Revision: 3.20
[   38.801980] sr 1:6:0:0: Attached scsi generic sg14 type 5
[   38.802658] scsi 1:8:0:0: Attached scsi generic sg15 type 13
[   38.815609] sd 1:0:4:0: [sdd] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   38.815621] sd 1:0:7:0: [sdf] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   38.815791] sd 1:0:5:0: [sde] 1172123568 512-byte logical blocks: (600 GB/558 GiB)
[   38.816882] sd 1:0:7:0: [sdf] Write Protect is off
[   38.817078] sd 1:0:4:0: [sdd] Write Protect is off
[   38.817086] sd 1:0:5:0: [sde] Write Protect is off
[   38.817515] sd 1:0:7:0: [sdf] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   38.817695] sd 1:0:5:0: [sde] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   38.817763] sd 1:0:4:0: [sdd] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[   38.824455]  sdf: sdf1 sdf2 sdf3
[   38.827881] sd 1:0:7:0: [sdf] Attached SCSI disk
[   38.830767]  sde: sde1
[   38.833474]  sdd: sdd1
[   38.833879] sd 1:0:5:0: [sde] Attached SCSI disk
[   38.836021] sd 1:0:4:0: [sdd] Attached SCSI disk
[   38.892075] scsi 1:255:255:255: No Device         IBM      57CB001SISIOA    0150 PQ: 0 ANSI: 0
[   38.892671] scsi 1:255:255:255: Attached scsi generic sg16 type 31
[   38.893256] scsi 1:254:0:0: Processor         IBM      2B4C001SISIOA    0150 PQ: 0 ANSI: 0
[   38.893702] scsi 1:254:0:0: Attached scsi generic sg17 type 3
[   66.804892] sd 0:0:5:0: [sdb] Aborting command: 28
[  OK  ] Found device /dev/mapper/fedora--server_junostac4-swap.
[  OK  ] Found device /dev/mapper/fedora--server_junostac4-root.
         Starting File System Check on /dev/mapper/fedora--se...nostac4-root...
[   67.517013] systemd-fsck[1130]: /dev/mapper/fedora--server_junostac4-root: clean, 49144/3276800 files, 597678/13107200 blocks
[  OK  ] Started File System Check on /dev/mapper/fedora--ser...junostac4-root.
[  OK  ] Started dracut initqueue hook.
[  OK  ] Reached target Remote File Systems (Pre).
[  OK  ] Reached target Remote File Systems.
         Starting dracut pre-mount hook...
[   67.731370] PM: Starting manual resume from disk
[  OK  ] Started dracut pre-mount hook.
         Mounting /sysroot...
[   67.821513] EXT4-fs (dm-9): mounted filesystem with ordered data mode. Opts: (null)
[  OK  ] Mounted /sysroot.
[  OK  ] Reached target Initrd Root File System.
         Starting Reload Configuration from the Real Root...
[  OK  ] Started Reload Configuration from the Real Root.
[  OK  ] Reached target Initrd File Systems.
[  OK  ] Reached target Initrd Default Target.
         Starting dracut pre-pivot and cleanup hook...
[  OK  ] Started dracut pre-pivot and cleanup hook.
         Starting Cleaning Up and Shutting Down Daemons...
         Stopping Cleaning Up and Shutting Down Daemons...
         Stopping Device-Mapper Multipath Device Controller...
         Starting Plymouth switch root service...
[  OK  ] Stopped Cleaning Up and Shutting Down Daemons.
         Stopping dracut pre-pivot and cleanup hook...
[  OK  ] Stopped dracut pre-pivot and cleanup hook.
[  OK  ] Stopped target Remote File Systems.
[  OK  ] Stopped target Remote File Systems (Pre).
         Stopping dracut pre-mount hook...
[  OK  ] Stopped dracut pre-mount hook.
         Stopping dracut initqueue hook...
[  OK  ] Stopped dracut initqueue hook.
[  OK  ] Stopped target Initrd Default Target.
[  OK  ] Stopped target Basic System.
[  OK  ] Stopped target Slices.
[  OK  ] Stopped target Paths.
[  OK  ] Stopped target Timers.
[  OK  ] Stopped target Sockets.
[  OK  ] Stopped target System Initialization.
         Stopping udev Coldplug all Devices...
[  OK  ] Stopped udev Coldplug all Devices.
         Stopping Apply Kernel Variables...
[  OK  ] Stopped Apply Kernel Variables.
[  OK  ] Stopped target Swap.
[  OK  ] Stopped target Local File Systems.
         Stopping udev Kernel Device Manager...
[  OK  ] Started Plymouth switch root service.
[  OK  ] Stopped udev Kernel Device Manager.
         Stopping dracut pre-udev hook...
[  OK  ] Stopped dracut pre-udev hook.
         Stopping dracut cmdline hook...
[  OK  ] Stopped dracut cmdline hook.
         Stopping Create Static Device Nodes in /dev...
[  OK  ] Stopped Create Static Device Nodes in /dev.
         Stopping Create list of required static device nodes...rrent kernel...
[  OK  ] Stopped Create list of required static device nodes ...current kernel.
[  OK  ] Closed udev Kernel Socket.
[  OK  ] Closed udev Control Socket.
         Starting Cleanup udevd DB...
[  OK  ] Started Cleanup udevd DB.
[  OK  ] Reached target Switch Root.
         Starting Switch Root...
[   68.890228] systemd-journald[526]: Received SIGTERM from PID 1 (systemd).
[   69.282271] audit: type=1404 audit(1415113456.770:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
[   69.438070] SELinux:  Permission audit_read in class capability2 not defined in policy.
[   69.438130] SELinux: the above unknown classes and permissions will be allowed
[   69.457849] audit: type=1403 audit(1415113456.950:3): policy loaded auid=4294967295 ses=4294967295
[   69.470757] systemd[1]: Successfully loaded SELinux policy in 212.951ms.
[   69.619613] systemd[1]: Relabelled /dev and /run in 65.309ms.

Welcome to Fedora 21 (Twenty One)!

[  OK  ] Stopped Switch Root.
[  OK  ] Stopped target Switch Root.
[  OK  ] Stopped target Initrd File Systems.
         Stopping File System Check on /dev/mapper/fedora--se...nostac4-root...
[  OK  ] Stopped File System Check on /dev/mapper/fedora--ser...junostac4-root.
[  OK  ] Stopped target Initrd Root File System.
[  OK  ] Created slice system-serial\x2dgetty.slice.
         Expecting device dev-hvc0.device...
[  OK  ] Created slice system-getty.slice.
[  OK  ] Created slice User and Session Slice.
         Starting Replay Read-Ahead Data...
         Starting Collect Read-Ahead Data...
[  OK  ] Reached target Slices.
[  OK  ] Listening on Delayed Shutdown Socket.

[  OK  ] Listening on /dev/initctl Compatibility Named Pipe.
         Mounting Huge Pages File System...
         Mounting POSIX Message Queue File System...
         Mounting Debug File System...
[  OK  ] Stopped Trigger Flushing of Journal to Persistent Storage.
[  OK  ] Reached target Remote File Systems.
         Stopping Journal Service...
[  OK  ] Stopped Journal Service.
         Starting Journal Service...
[  OK  ] Started Journal Service.
[  OK  ] Set up automount Arbitrary Executable File Formats F...utomount Point.
         Starting Create list of required static device nodes...rrent kernel...
[  OK  ] Reached target Paths.
[  OK  ] Listening on udev Kernel Socket.
[  OK  ] Listening on udev Control Socket.
         Starting udev Coldplug all Devices...
         Starting Device-Mapper Multipath Device Controller...
[  OK  ] Listening on LVM2 metadata daemon socket.
[  OK  ] Listening on Device-mapper event daemon FIFOs.
         Starting Monitoring of LVM2 mirrors, snapshots etc. ...ress polling...
         Expecting device dev-mapper-fedora\x2d\x2dserver_jun...dswap.device...
         Mounting Temporary Directory...
         Expecting device dev-mapper-mpatha2.device...
         Expecting device dev-mapper-fedora\x2d\x2dserver_jun...dhome.device...
[  OK  ] Started Collect Read-Ahead Data.
[  OK  ] Started Replay Read-Ahead Data.
         Starting File System Check on Root Device...
         Starting Apply Kernel Variables...
[  OK  ] Started Create list of required static device nodes ...current kernel.
[  OK  ] Mounted Huge Pages File System.
[  OK  ] Mounted POSIX Message Queue File System.
[  OK  ] Mounted Debug File System.
[  OK  ] Mounted Temporary Directory.
[  OK  ] Started udev Coldplug all Devices.
         Starting udev Wait for Complete Device Initialization...
         Starting LVM2 metadata daemon...
[  OK  ] Started LVM2 metadata daemon.
[  OK  ] Started Apply Kernel Variables.
[   71.536056] systemd-fsck[1252]: /dev/mapper/fedora--server_junostac4-root: clean, 49144/3276800 files, 597678/13107200 blocks
[  OK  ] Started File System Check on Root Device.
         Starting Remount Root and Kernel File Systems...
[  OK  ] Started Device-Mapper Multipath Device Controller.
[   71.965419] EXT4-fs (dm-9): re-mounted. Opts: (null)
[  OK  ] Started Remount Root and Kernel File Systems.
         Starting Import network configuration from initramfs...
         Starting Configure read-only root support...
         Starting Load/Save Random Seed...
         Starting Create Static Device Nodes in /dev...
[  OK  ] Started Load/Save Random Seed.
[  OK  ] Started Configure read-only root support.
[  OK  ] Started Create Static Device Nodes in /dev.
         Starting udev Kernel Device Manager...
[  OK  ] Reached target Local File Systems (Pre).
[  OK  ] Started Import network configuration from initramfs.
[   72.476418] systemd-udevd[1310]: starting version 215
[  OK  ] Started udev Kernel Device Manager.
[  OK  ] Started Monitoring of LVM2 mirrors, snapshots etc. u...ogress polling.
[  OK  ] Started udev Wait for Complete Device Initialization.
         Starting Activation of DM RAID sets...
[   74.253544] powernv_rng: Registered powernv hwrng.
[   74.367833] shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
[  OK  ] Started Activation of DM RAID sets.
[  OK  ] Reached target Encrypted Volumes.
[   74.925097] scsi 0:0:18:0: Failed to get diagnostic page 0x8000002
[   74.925158] scsi 0:0:18:0: Failed to bind enclosure -19
[   74.945171] scsi 0:2:18:0: Failed to get diagnostic page 0x8000002
[   74.945239] scsi 0:2:18:0: Failed to bind enclosure -19
[  OK  ] Found device /dev/hvc0.
[  OK  ] Created slice system-lvm2\x2dpvscan.slice.
         Starting LVM2 PV scan on device 253:3...
         Starting LVM2 PV scan on device 253:7...
         Starting LVM2 PV scan on device 253:6...
[  OK  ] Found device /dev/mapper/fedora--server_junostac4-swap.
         Activating swap /dev/mapper/fedora--server_junostac4-swap...
[   75.282099] Adding 4194240k swap on /dev/mapper/fedora--server_junostac4-swap.  Priority:-1 extents:1 across:4194240k FS
[  OK  ] Activated swap /dev/mapper/fedora--server_junostac4-swap.
[  OK  ] Reached target Swap.
[  OK  ] Started LVM2 PV scan on device 253:7.
[  OK  ] Started LVM2 PV scan on device 253:6.
[  OK  ] Found device /dev/mapper/fedora--server_junostac4-home.
         Starting File System Check on /dev/mapper/fedora--se...nostac4-home...
[  OK  ] Started LVM2 PV scan on device 253:3.
[   75.415376] systemd-fsck[3040]: /dev/mapper/fedora--server_junostac4-home: clean, 15/106315776 files, 6722945/425241600 blocks
[  OK  ] Started File System Check on /dev/mapper/fedora--ser...junostac4-home.
         Mounting /home...
[   75.608873] EXT4-fs (dm-10): mounted filesystem with ordered data mode. Opts: (null)
[  OK  ] Mounted /home.
[   78.503028] ses 0:0:18:0: Attached Enclosure device
[   78.503082] ses 0:2:18:0: Attached Enclosure device
[   78.503163] ses 1:0:18:0: Attached Enclosure device
[   78.503197] ses 1:2:18:0: Attached Enclosure device
[   78.503230] ses 1:8:0:0: Attached Enclosure device
[*     ]A start job is running for dev-mapper-mpatha2.device...29s / 1min 30s)
[ TIME ] Timed out waiting for device dev-mapper-mpatha2.device.
[DEPEND] Dependency failed for /boot.
[DEPEND] Dependency failed for Local File Systems.
[DEPEND] Dependency failed for Relabel all filesystems, if necessary.
[DEPEND] Dependency failed for Mark the need to relabel after reboot.
[DEPEND] Dependency failed for File System Check on /dev/mapper/mpatha2.
[  OK  ] Closed Cockpit Web Server Socket.
[  OK  ] Closed PC/SC Smart Card Daemon Activation Socket.
[  OK  ] Closed RPCbind Server Activation Socket.
[  OK  ] Stopped Getty on tty1.
[  OK  ] Stopped Serial Getty on hvc0.
[  OK  ] Stopped target Multi-User System.
[  OK  ] Stopped Software RAID monitoring and management.
[  OK  ] Stopped Command Scheduler.
[  OK  ] Stopped Hardware RNG Entropy Gatherer Daemon.
[  OK  ] Stopped Install ABRT coredump hook.
[  OK  ] Stopped OpenSSH server daemon.
[  OK  ] Stopped OpenSSH Server Key Generation.
[  OK  ] Stopped Self Monitoring and Reporting Technology (SMART) Daemon.
[  OK  ] Stopped ABRT Xorg log watcher.
[  OK  ] Stopped Job spooling tools.
[  OK  ] Stopped Harvest vmcores for ABRT.
[  OK  ] Stopped ABRT kernel log watcher.
[  OK  ] Stopped ABRT Automated Bug Reporting Tool.
[  OK  ] Stopped irqbalance daemon.
[  OK  ] Stopped Terminate Plymouth Boot Screen.
[  OK  ] Stopped Login Service.
[  OK  ] Stopped Wait for Plymouth Boot Screen to Quit.
[  OK  ] Reached target Login Prompts.
[  OK  ] Stopped D-Bus System Message Bus.
[  OK  ] Closed D-Bus System Message Bus Socket.
[  OK  ] Stopped System Logging Service.
[  OK  ] Stopped Network Manager.
[  OK  ] Stopped firewalld - dynamic firewall daemon.
[  OK  ] Stopped rolekit - role server.
[  OK  ] Reached target Network.
[  OK  ] Stopped Permit User Sessions.
         Starting Trigger Flushing of Journal to Persistent Storage...
[  OK  ] Stopped target Basic System.
[  OK  ] Reached target Timers.
[  OK  ] Reached target Sockets.
[  OK  ] Stopped target System Initialization.
         Starting Tell Plymouth To Write Out Runtime Data...
         Starting Create Volatile Files and Directories...
         Starting Emergency Shell...
[  OK  ] Started Emergency Shell.
[  OK  ] Reached target Emergency Mode.
[  160.583173] systemd-journald[1245]: Received request to flush runtime journal from PID 1
[  OK  ] Started Trigger Flushing of Journal to Persistent Storage.
[  OK  ] Started Tell Plymouth To Write Out Runtime Data.
[  OK  ] Started Create Volatile Files and Directories.
         Starting Security Auditing Service...
[  160.715069] audit: type=1305 audit(1415113548.210:4): audit_pid=3093 old=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:auditd_t:s0 res=1
[  OK  ] Started Security Auditing Service.
         Starting Update UTMP about System Boot/Shutdown...
[  OK  ] Started Update UTMP about System Boot/Shutdown.
         Starting Update UTMP about System Runlevel Changes...
[  OK  ] Started Update UTMP about System Runlevel Changes.
Welcome to emergency mode! After logging in, type "journalctl -xb" to view
system logs, "systemctl reboot" to reboot, "systemctl default" to try again
to boot into default mode.
Give root password for maintenance
(or press Control-D to continue):

Comment 1 Mark Hamzy 2014-11-04 19:31:07 UTC
[root@junostac4 ~]# pvscan
  PV /dev/mapper/mpathc3   VG fedora-server_junostac4   lvm2 [558.41 GiB / 60.00 MiB free]
  PV /dev/mapper/mpathb1   VG fedora-server_junostac4   lvm2 [558.91 GiB / 0    free]
  PV /dev/mapper/mpatha1   VG fedora-server_junostac4   lvm2 [558.91 GiB / 0    free]
  Total: 3 [1.64 TiB] / in use: 3 [1.64 TiB] / in no VG: 0 [0   ]
[root@junostac4 ~]# lvscan
  ACTIVE            '/dev/fedora-server_junostac4/swap' [4.00 GiB] inherit
  ACTIVE            '/dev/fedora-server_junostac4/home' [1.58 TiB] inherit
  ACTIVE            '/dev/fedora-server_junostac4/root' [50.00 GiB] inherit
[root@junostac4 ~]# fdisk -l /dev/sda
...
Device     Boot Start        End    Sectors   Size Id Type
/dev/sda1        2048 1172121599 1172119552 558.9G 8e Linux LVM


It seems that /boot now lives on sdc2 instead of sda2.

[root@junostac4 ~]# fdisk -l /dev/sdc
...
Device     Boot   Start        End    Sectors   Size Id Type
/dev/sdc1  *       2048      10239       8192     4M 41 PPC PReP Boot
/dev/sdc2         10240    1034239    1024000   500M 83 Linux
/dev/sdc3       1034240 1172121599 1171087360 558.4G 8e Linux LVM
[root@junostac4 ~]# fdisk -l /dev/sdf
...
Device     Boot   Start        End    Sectors   Size Id Type
/dev/sdf1  *       2048      10239       8192     4M 41 PPC PReP Boot
/dev/sdf2         10240    1034239    1024000   500M 83 Linux
/dev/sdf3       1034240 1172121599 1171087360 558.4G 8e Linux LVM
[root@junostac4 ~]# mkdir /mnt/tmp
[root@junostac4 ~]# mount /dev/mapper/mpathc2 /mnt/tmp
[ 4521.662362] EXT4-fs (dm-5): mounted filesystem with ordered data mode. Opts: (null)
[root@junostac4 ~]# ls /mnt/tmp
config-3.17.0-301.fc21.ppc64p7
grub2
initramfs-0-rescue-7003d14bbf9d4260a5939f2c2613e633.img
initramfs-3.17.0-301.fc21.ppc64p7.img
initrd-plymouth.img
lost+found
System.map-3.17.0-301.fc21.ppc64p7
vmlinuz-0-rescue-7003d14bbf9d4260a5939f2c2613e633
vmlinuz-3.17.0-301.fc21.ppc64p7
[root@junostac4 ~]# sed -i -e 's,mpatha2,mpathc2,' /etc/fstab
[root@junostac4 ~]# reboot

Comment 2 Mark Hamzy 2014-11-04 19:31:53 UTC
Created attachment 953790 [details]
anaconda.log

Comment 3 Mark Hamzy 2014-11-04 19:32:10 UTC
Created attachment 953791 [details]
program.log

Comment 4 Mark Hamzy 2014-11-04 19:32:36 UTC
Created attachment 953792 [details]
storage.log

Comment 5 Mark Hamzy 2014-11-04 19:58:49 UTC
[root@junostac4 ~]# cat /etc/multipath/wwids
# Multipath wwids, Version : 1.0
# NOTE: This file is automatically maintained by multipath and multipathd.
# You should not need to edit this file in normal circumstances.
#
# Valid WWIDs:
/3500003937809e810/
/350000393780939e4/
/35000039378093b9c/
[root@junostac4 ~]# cat /etc/multipath/bindings
# Multipath bindings, Version : 1.0
# NOTE: this file is automatically maintained by the multipath program.
# You should not need to edit this file in normal circumstances.
#
# Format:
# alias wwid
#
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c

Comment 6 Mark Hamzy 2014-11-04 19:59:22 UTC
Created attachment 953816 [details]
syslog

Comment 7 Mark Hamzy 2014-11-04 20:01:12 UTC
So it seems that, instead of modifying /etc/fstab, I should have modified /etc/multipath/bindings.

Comment 8 Mark Hamzy 2014-11-04 20:26:04 UTC
So I rebooted back into the installer and now it seems that /boot lives on sda.

[anaconda root@junostac4 ~]# cat /etc/multipath/wwids
# Multipath wwids, Version : 1.0
# NOTE: This file is automatically maintained by multipath and multipathd.
# You should not need to edit this file in normal circumstances.
#
# Valid WWIDs:
/3500003937809e810/
/350000393780939e4/
/35000039378093b9c/
[anaconda root@junostac4 ~]# cat /etc/multipath/bindings
# Multipath bindings, Version : 1.0
# NOTE: this file is automatically maintained by the multipath program.
# You should not need to edit this file in normal circumstances.
#
# Format:
# alias wwid
#
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c
[anaconda root@junostac4 ~]# fdisk -l /dev/mapper/mpatha

Disk /dev/mapper/mpatha: 558.9 GiB, 600127266816 bytes, 1172123568 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0x189bbec5

Device              Boot   Start        End    Sectors   Size Id Type
/dev/mapper/mpatha1 *       2048      10239       8192     4M 41 PPC PReP Boot
/dev/mapper/mpatha2        10240    1034239    1024000   500M 83 Linux
/dev/mapper/mpatha3      1034240 1172121599 1171087360 558.4G 8e Linux LVM

[anaconda root@junostac4 ~]# fdisk -l /dev/mapper/mpathc

Disk /dev/mapper/mpathc: 558.9 GiB, 600127266816 bytes, 1172123568 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disklabel type: dos
Disk identifier: 0xe8e2d638

Device              Boot Start        End    Sectors   Size Id Type
/dev/mapper/mpathc1       2048 1172121599 1172119552 558.9G 8e Linux LVM

[anaconda root@junostac4 ~]# multipath -ll
mpathc (3500003937809e810) dm-5 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:4:0 sda 8:0  active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:4:0 sdd 8:48 active ready running
mpathb (350000393780939e4) dm-1 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:5:0 sdb 8:16 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:5:0 sde 8:64 active ready running
mpatha (35000039378093b9c) dm-0 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:7:0 sdc 8:32 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:7:0 sdf 8:80 active ready running
[anaconda root@junostac4 ~]# mkdir /mnt/tmp 
[anaconda root@junostac4 ~]# mount /dev/mapper/mpatha2 /mnt/tmp
[anaconda root@junostac4 ~]# ls /mnt/tmp
System.map-3.17.0-301.fc21.ppc64p7			 initrd-plymouth.img
config-3.17.0-301.fc21.ppc64p7				 lost+found
grub2							 vmlinuz-0-rescue-7003d14bbf9d4260a5939f2c2613e633
initramfs-0-rescue-7003d14bbf9d4260a5939f2c2613e633.img  vmlinuz-3.17.0-301.fc21.ppc64p7
initramfs-3.17.0-301.fc21.ppc64p7.img
[anaconda root@junostac4 ~]# multipath -v3
Nov 04 20:22:42 | loading /lib64/multipath/libcheckdirectio.so checker
Nov 04 20:22:42 | loading /lib64/multipath/libprioconst.so prioritizer
Nov 04 20:22:42 | sda: not found in pathvec
Nov 04 20:22:42 | sda: mask = 0x3f
Nov 04 20:22:42 | sda: dev_t = 8:0
Nov 04 20:22:42 | sda: size = 1172123568
Nov 04 20:22:42 | sda: vendor = IBM     
Nov 04 20:22:42 | sda: product = MBF2600RC       
Nov 04 20:22:42 | sda: rev = 610A
Nov 04 20:22:42 | sda: h:b:t:l = 0:0:4:0
Nov 04 20:22:42 | sda: path state = running

Nov 04 20:22:42 | sda: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sda: serial = EA09PB809DSB
Nov 04 20:22:42 | sda: get_state
Nov 04 20:22:42 | sda: path checker = directio (internal default)
Nov 04 20:22:42 | sda: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sda: state = up
Nov 04 20:22:42 | sda: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sda: uid = 3500003937809e810 (udev)
Nov 04 20:22:42 | sda: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sda: prio = const (internal default)
Nov 04 20:22:42 | sda: prio =  (internal default)
Nov 04 20:22:42 | sda: const prio = 1
Nov 04 20:22:42 | sdb: not found in pathvec
Nov 04 20:22:42 | sdb: mask = 0x3f
Nov 04 20:22:42 | sdb: dev_t = 8:16
Nov 04 20:22:42 | sdb: size = 1172123568
Nov 04 20:22:42 | sdb: vendor = IBM     
Nov 04 20:22:42 | sdb: product = MBF2600RC       
Nov 04 20:22:42 | sdb: rev = 610A
Nov 04 20:22:42 | sdb: h:b:t:l = 0:0:5:0
Nov 04 20:22:42 | sdb: path state = running

Nov 04 20:22:42 | sdb: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sdb: serial = EA09PB809C26
Nov 04 20:22:42 | sdb: get_state
Nov 04 20:22:42 | sdb: path checker = directio (internal default)
Nov 04 20:22:42 | sdb: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sdb: state = up
Nov 04 20:22:42 | sdb: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sdb: uid = 350000393780939e4 (udev)
Nov 04 20:22:42 | sdb: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sdb: prio = const (internal default)
Nov 04 20:22:42 | sdb: prio =  (internal default)
Nov 04 20:22:42 | sdb: const prio = 1
Nov 04 20:22:42 | sdc: not found in pathvec
Nov 04 20:22:42 | sdc: mask = 0x3f
Nov 04 20:22:42 | sdc: dev_t = 8:32
Nov 04 20:22:42 | sdc: size = 1172123568
Nov 04 20:22:42 | sdc: vendor = IBM     
Nov 04 20:22:42 | sdc: product = MBF2600RC       
Nov 04 20:22:42 | sdc: rev = 610A
Nov 04 20:22:42 | sdc: h:b:t:l = 0:0:7:0
Nov 04 20:22:42 | sdc: path state = running

Nov 04 20:22:42 | sdc: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sdc: serial = EA09PB809C52
Nov 04 20:22:42 | sdc: get_state
Nov 04 20:22:42 | sdc: path checker = directio (internal default)
Nov 04 20:22:42 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sdc: state = up
Nov 04 20:22:42 | sdc: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sdc: uid = 35000039378093b9c (udev)
Nov 04 20:22:42 | sdc: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sdc: prio = const (internal default)
Nov 04 20:22:42 | sdc: prio =  (internal default)
Nov 04 20:22:42 | sdc: const prio = 1
Nov 04 20:22:42 | sdd: not found in pathvec
Nov 04 20:22:42 | sdd: mask = 0x3f
Nov 04 20:22:42 | sdd: dev_t = 8:48
Nov 04 20:22:42 | sdd: size = 1172123568
Nov 04 20:22:42 | sdd: vendor = IBM     
Nov 04 20:22:42 | sdd: product = MBF2600RC       
Nov 04 20:22:42 | sdd: rev = 610A
Nov 04 20:22:42 | sdd: h:b:t:l = 1:0:4:0
Nov 04 20:22:42 | sdd: path state = running

Nov 04 20:22:42 | sdd: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sdd: serial = EA09PB809DSB
Nov 04 20:22:42 | sdd: get_state
Nov 04 20:22:42 | sdd: path checker = directio (internal default)
Nov 04 20:22:42 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sdd: state = up
Nov 04 20:22:42 | sdd: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sdd: uid = 3500003937809e810 (udev)
Nov 04 20:22:42 | sdd: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sdd: prio = const (internal default)
Nov 04 20:22:42 | sdd: prio =  (internal default)
Nov 04 20:22:42 | sdd: const prio = 1
Nov 04 20:22:42 | sde: not found in pathvec
Nov 04 20:22:42 | sde: mask = 0x3f
Nov 04 20:22:42 | sde: dev_t = 8:64
Nov 04 20:22:42 | sde: size = 1172123568
Nov 04 20:22:42 | sde: vendor = IBM     
Nov 04 20:22:42 | sde: product = MBF2600RC       
Nov 04 20:22:42 | sde: rev = 610A
Nov 04 20:22:42 | sde: h:b:t:l = 1:0:5:0
Nov 04 20:22:42 | sde: path state = running

Nov 04 20:22:42 | sde: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sde: serial = EA09PB809C26
Nov 04 20:22:42 | sde: get_state
Nov 04 20:22:42 | sde: path checker = directio (internal default)
Nov 04 20:22:42 | sde: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sde: state = up
Nov 04 20:22:42 | sde: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sde: uid = 350000393780939e4 (udev)
Nov 04 20:22:42 | sde: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sde: prio = const (internal default)
Nov 04 20:22:42 | sde: prio =  (internal default)
Nov 04 20:22:42 | sde: const prio = 1
Nov 04 20:22:42 | sdf: not found in pathvec
Nov 04 20:22:42 | sdf: mask = 0x3f
Nov 04 20:22:42 | sdf: dev_t = 8:80
Nov 04 20:22:42 | sdf: size = 1172123568
Nov 04 20:22:42 | sdf: vendor = IBM     
Nov 04 20:22:42 | sdf: product = MBF2600RC       
Nov 04 20:22:42 | sdf: rev = 610A
Nov 04 20:22:42 | sdf: h:b:t:l = 1:0:7:0
Nov 04 20:22:42 | sdf: path state = running

Nov 04 20:22:42 | sdf: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 20:22:42 | sdf: serial = EA09PB809C52
Nov 04 20:22:42 | sdf: get_state
Nov 04 20:22:42 | sdf: path checker = directio (internal default)
Nov 04 20:22:42 | sdf: checker timeout = 30000 ms (sysfs setting)
Nov 04 20:22:42 | directio: starting new request
Nov 04 20:22:42 | directio: io finished 4096/0
Nov 04 20:22:42 | sdf: state = up
Nov 04 20:22:42 | sdf: uid_attribute = ID_SERIAL (internal default)
Nov 04 20:22:42 | sdf: uid = 35000039378093b9c (udev)
Nov 04 20:22:42 | sdf: detect_prio = 1 (config file default)
Nov 04 20:22:42 | sdf: prio = const (internal default)
Nov 04 20:22:42 | sdf: prio =  (internal default)
Nov 04 20:22:42 | sdf: const prio = 1
Nov 04 20:22:42 | sr0: device node name blacklisted
Nov 04 20:22:42 | loop0: device node name blacklisted
Nov 04 20:22:42 | loop1: device node name blacklisted
Nov 04 20:22:42 | loop2: device node name blacklisted
Nov 04 20:22:42 | dm-0: device node name blacklisted
Nov 04 20:22:42 | dm-1: device node name blacklisted
Nov 04 20:22:42 | dm-2: device node name blacklisted
Nov 04 20:22:42 | dm-3: device node name blacklisted
Nov 04 20:22:42 | dm-4: device node name blacklisted
Nov 04 20:22:42 | dm-5: device node name blacklisted
Nov 04 20:22:42 | dm-6: device node name blacklisted
Nov 04 20:22:42 | dm-7: device node name blacklisted
Nov 04 20:22:42 | dm-8: device node name blacklisted
Nov 04 20:22:42 | dm-9: device node name blacklisted
===== paths list =====
uuid              hcil    dev dev_t pri dm_st chk_st vend/prod/rev            
3500003937809e810 0:0:4:0 sda 8:0   1   undef ready  IBM     ,MBF2600RC       
350000393780939e4 0:0:5:0 sdb 8:16  1   undef ready  IBM     ,MBF2600RC       
35000039378093b9c 0:0:7:0 sdc 8:32  1   undef ready  IBM     ,MBF2600RC       
3500003937809e810 1:0:4:0 sdd 8:48  1   undef ready  IBM     ,MBF2600RC       
350000393780939e4 1:0:5:0 sde 8:64  1   undef ready  IBM     ,MBF2600RC       
35000039378093b9c 1:0:7:0 sdf 8:80  1   undef ready  IBM     ,MBF2600RC       
Nov 04 20:22:42 | params = 0 0 2 1 service-time 0 1 2 8:0 1 1 service-time 0 1 2 8:48 1 1 
Nov 04 20:22:42 | status = 2 0 0 0 2 1 A 0 1 2 8:0 A 0 0 1 E 0 1 2 8:48 A 0 0 1 
Nov 04 20:22:42 | mpathc: disassemble map [0 0 2 1 service-time 0 1 2 8:0 1 1 service-time 0 1 2 8:48 1 1 ]
Nov 04 20:22:42 | mpathc: disassemble status [2 0 0 0 2 1 A 0 1 2 8:0 A 0 0 1 E 0 1 2 8:48 A 0 0 1 ]
Nov 04 20:22:42 | params = 0 0 2 1 service-time 0 1 2 8:16 1 1 service-time 0 1 2 8:64 1 1 
Nov 04 20:22:42 | status = 2 0 0 0 2 1 A 0 1 2 8:16 A 0 0 1 E 0 1 2 8:64 A 0 0 1 
Nov 04 20:22:42 | mpathb: disassemble map [0 0 2 1 service-time 0 1 2 8:16 1 1 service-time 0 1 2 8:64 1 1 ]
Nov 04 20:22:42 | mpathb: disassemble status [2 0 0 0 2 1 A 0 1 2 8:16 A 0 0 1 E 0 1 2 8:64 A 0 0 1 ]
Nov 04 20:22:42 | params = 0 0 2 1 service-time 0 1 2 8:32 1 1 service-time 0 1 2 8:80 1 1 
Nov 04 20:22:42 | status = 2 0 0 0 2 1 A 0 1 2 8:32 A 0 0 1 E 0 1 2 8:80 A 0 0 1 
Nov 04 20:22:42 | mpatha: disassemble map [0 0 2 1 service-time 0 1 2 8:32 1 1 service-time 0 1 2 8:80 1 1 ]
Nov 04 20:22:42 | mpatha: disassemble status [2 0 0 0 2 1 A 0 1 2 8:32 A 0 0 1 E 0 1 2 8:80 A 0 0 1 ]
Nov 04 20:22:42 | directio checker refcount 6
Nov 04 20:22:42 | const prioritizer refcount 6
Nov 04 20:22:42 | directio checker refcount 5
Nov 04 20:22:42 | const prioritizer refcount 5
Nov 04 20:22:43 | directio checker refcount 4
Nov 04 20:22:43 | const prioritizer refcount 4
Nov 04 20:22:43 | directio checker refcount 3
Nov 04 20:22:43 | const prioritizer refcount 3
Nov 04 20:22:43 | directio checker refcount 2
Nov 04 20:22:43 | const prioritizer refcount 2
Nov 04 20:22:43 | directio checker refcount 1
Nov 04 20:22:43 | const prioritizer refcount 1
Nov 04 20:22:43 | unloading const prioritizer
Nov 04 20:22:43 | unloading directio checker

Comment 9 Ben Marzinski 2014-11-04 23:13:40 UTC
What is your /etc/fstab?

Comment 10 Mark Hamzy 2014-11-05 00:14:08 UTC
I just reinstalled.  And now /dev/mapper/mpathb gets the drive where /boot exists!

[root@junostac4 ~]# cat /etc/fstab 

#
# /etc/fstab
# Created by anaconda on Tue Nov  4 17:42:33 2014
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or blkid(8) for more info
#
/dev/mapper/fedora--server_junostac4-root /                       ext4    defaults        1 1
/dev/mapper/mpatha2     /boot                   ext4    defaults        1 2
/dev/mapper/fedora--server_junostac4-home /home                   ext4    defaults        1 2
/dev/mapper/fedora--server_junostac4-swap swap                    swap    defaults        0 0
[root@junostac4 ~]# ls -l /dev/mapper/
total 0
crw-------. 1 root root 10, 236 Nov  4 18:36 control
lrwxrwxrwx. 1 root root       8 Nov  4 18:36 fedora--server_junostac4-home -> ../dm-10
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 fedora--server_junostac4-root -> ../dm-9
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 fedora--server_junostac4-swap -> ../dm-8
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpatha -> ../dm-0
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpatha1 -> ../dm-1
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathb -> ../dm-4
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathb1 -> ../dm-5
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathb2 -> ../dm-6
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathb3 -> ../dm-7
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathc -> ../dm-2
lrwxrwxrwx. 1 root root       7 Nov  4 18:36 mpathc1 -> ../dm-3
[root@junostac4 ~]# cat /etc/multipath/bindings 
# Multipath bindings, Version : 1.0
# NOTE: this file is automatically maintained by the multipath program.
# You should not need to edit this file in normal circumstances.
#
# Format:
# alias wwid
#
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c
[root@junostac4 ~]# multipath -ll
mpathc (35000039378093b9c) dm-2 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:7:0 sdc 8:32 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:7:0 sdf 8:80 active ready running
mpathb (350000393780939e4) dm-4 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:5:0 sdb 8:16 active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:5:0 sde 8:64 active ready running
mpatha (3500003937809e810) dm-0 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=1 status=active
| `- 0:0:4:0 sda 8:0  active ready running
`-+- policy='service-time 0' prio=1 status=enabled
  `- 1:0:4:0 sdd 8:48 active ready running
[root@junostac4 ~]# multipath -v3
Nov 04 18:59:46 | loading /lib64/multipath/libcheckdirectio.so checker
Nov 04 18:59:46 | loading /lib64/multipath/libprioconst.so prioritizer
Nov 04 18:59:46 | sda: not found in pathvec
Nov 04 18:59:46 | sda: mask = 0x3f
Nov 04 18:59:46 | sda: dev_t = 8:0
Nov 04 18:59:46 | sda: size = 1172123568
Nov 04 18:59:46 | sda: vendor = IBM     
Nov 04 18:59:46 | sda: product = MBF2600RC       
Nov 04 18:59:46 | sda: rev = 610A
Nov 04 18:59:46 | sda: h:b:t:l = 0:0:4:0
Nov 04 18:59:46 | sda: path state = running

Nov 04 18:59:46 | sda: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sda: serial = EA09PB809DSB
Nov 04 18:59:46 | sda: get_state
Nov 04 18:59:46 | sda: path checker = directio (internal default)
Nov 04 18:59:46 | sda: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sda: state = up
Nov 04 18:59:46 | sda: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sda: uid = 3500003937809e810 (udev)
Nov 04 18:59:46 | sda: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sda: prio = const (internal default)
Nov 04 18:59:46 | sda: prio =  (internal default)
Nov 04 18:59:46 | sda: const prio = 1
Nov 04 18:59:46 | sdb: not found in pathvec
Nov 04 18:59:46 | sdb: mask = 0x3f
Nov 04 18:59:46 | sdb: dev_t = 8:16
Nov 04 18:59:46 | sdb: size = 1172123568
Nov 04 18:59:46 | sdb: vendor = IBM     
Nov 04 18:59:46 | sdb: product = MBF2600RC       
Nov 04 18:59:46 | sdb: rev = 610A
Nov 04 18:59:46 | sdb: h:b:t:l = 0:0:5:0
Nov 04 18:59:46 | sdb: path state = running

Nov 04 18:59:46 | sdb: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sdb: serial = EA09PB809C26
Nov 04 18:59:46 | sdb: get_state
Nov 04 18:59:46 | sdb: path checker = directio (internal default)
Nov 04 18:59:46 | sdb: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sdb: state = up
Nov 04 18:59:46 | sdb: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sdb: uid = 350000393780939e4 (udev)
Nov 04 18:59:46 | sdb: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sdb: prio = const (internal default)
Nov 04 18:59:46 | sdb: prio =  (internal default)
Nov 04 18:59:46 | sdb: const prio = 1
Nov 04 18:59:46 | sdc: not found in pathvec
Nov 04 18:59:46 | sdc: mask = 0x3f
Nov 04 18:59:46 | sdc: dev_t = 8:32
Nov 04 18:59:46 | sdc: size = 1172123568
Nov 04 18:59:46 | sdc: vendor = IBM     
Nov 04 18:59:46 | sdc: product = MBF2600RC       
Nov 04 18:59:46 | sdc: rev = 610A
Nov 04 18:59:46 | sdc: h:b:t:l = 0:0:7:0
Nov 04 18:59:46 | sdc: path state = running

Nov 04 18:59:46 | sdc: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sdc: serial = EA09PB809C52
Nov 04 18:59:46 | sdc: get_state
Nov 04 18:59:46 | sdc: path checker = directio (internal default)
Nov 04 18:59:46 | sdc: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sdc: state = up
Nov 04 18:59:46 | sdc: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sdc: uid = 35000039378093b9c (udev)
Nov 04 18:59:46 | sdc: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sdc: prio = const (internal default)
Nov 04 18:59:46 | sdc: prio =  (internal default)
Nov 04 18:59:46 | sdc: const prio = 1
Nov 04 18:59:46 | sdd: not found in pathvec
Nov 04 18:59:46 | sdd: mask = 0x3f
Nov 04 18:59:46 | sdd: dev_t = 8:48
Nov 04 18:59:46 | sdd: size = 1172123568
Nov 04 18:59:46 | sdd: vendor = IBM     
Nov 04 18:59:46 | sdd: product = MBF2600RC       
Nov 04 18:59:46 | sdd: rev = 610A
Nov 04 18:59:46 | sdd: h:b:t:l = 1:0:4:0
Nov 04 18:59:46 | sdd: path state = running

Nov 04 18:59:46 | sdd: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sdd: serial = EA09PB809DSB
Nov 04 18:59:46 | sdd: get_state
Nov 04 18:59:46 | sdd: path checker = directio (internal default)
Nov 04 18:59:46 | sdd: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sdd: state = up
Nov 04 18:59:46 | sdd: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sdd: uid = 3500003937809e810 (udev)
Nov 04 18:59:46 | sdd: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sdd: prio = const (internal default)
Nov 04 18:59:46 | sdd: prio =  (internal default)
Nov 04 18:59:46 | sdd: const prio = 1
Nov 04 18:59:46 | sde: not found in pathvec
Nov 04 18:59:46 | sde: mask = 0x3f
Nov 04 18:59:46 | sde: dev_t = 8:64
Nov 04 18:59:46 | sde: size = 1172123568
Nov 04 18:59:46 | sde: vendor = IBM     
Nov 04 18:59:46 | sde: product = MBF2600RC       
Nov 04 18:59:46 | sde: rev = 610A
Nov 04 18:59:46 | sde: h:b:t:l = 1:0:5:0
Nov 04 18:59:46 | sde: path state = running

Nov 04 18:59:46 | sde: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sde: serial = EA09PB809C26
Nov 04 18:59:46 | sde: get_state
Nov 04 18:59:46 | sde: path checker = directio (internal default)
Nov 04 18:59:46 | sde: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sde: state = up
Nov 04 18:59:46 | sde: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sde: uid = 350000393780939e4 (udev)
Nov 04 18:59:46 | sde: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sde: prio = const (internal default)
Nov 04 18:59:46 | sde: prio =  (internal default)
Nov 04 18:59:46 | sde: const prio = 1
Nov 04 18:59:46 | sdf: not found in pathvec
Nov 04 18:59:46 | sdf: mask = 0x3f
Nov 04 18:59:46 | sdf: dev_t = 8:80
Nov 04 18:59:46 | sdf: size = 1172123568
Nov 04 18:59:46 | sdf: vendor = IBM     
Nov 04 18:59:46 | sdf: product = MBF2600RC       
Nov 04 18:59:46 | sdf: rev = 610A
Nov 04 18:59:46 | sdf: h:b:t:l = 1:0:7:0
Nov 04 18:59:46 | sdf: path state = running

Nov 04 18:59:46 | sdf: 24018 cyl, 128 heads, 32 sectors/track, start at 0
Nov 04 18:59:46 | sdf: serial = EA09PB809C52
Nov 04 18:59:46 | sdf: get_state
Nov 04 18:59:46 | sdf: path checker = directio (internal default)
Nov 04 18:59:46 | sdf: checker timeout = 30000 ms (sysfs setting)
Nov 04 18:59:46 | directio: starting new request
Nov 04 18:59:46 | directio: io finished 4096/0
Nov 04 18:59:46 | sdf: state = up
Nov 04 18:59:46 | sdf: uid_attribute = ID_SERIAL (internal default)
Nov 04 18:59:46 | sdf: uid = 35000039378093b9c (udev)
Nov 04 18:59:46 | sdf: detect_prio = 1 (config file default)
Nov 04 18:59:46 | sdf: prio = const (internal default)
Nov 04 18:59:46 | sdf: prio =  (internal default)
Nov 04 18:59:46 | sdf: const prio = 1
Nov 04 18:59:46 | sr0: device node name blacklisted
Nov 04 18:59:46 | dm-0: device node name blacklisted
Nov 04 18:59:46 | dm-1: device node name blacklisted
Nov 04 18:59:46 | dm-10: device node name blacklisted
Nov 04 18:59:46 | dm-2: device node name blacklisted
Nov 04 18:59:46 | dm-3: device node name blacklisted
Nov 04 18:59:46 | dm-4: device node name blacklisted
Nov 04 18:59:46 | dm-5: device node name blacklisted
Nov 04 18:59:46 | dm-6: device node name blacklisted
Nov 04 18:59:46 | dm-7: device node name blacklisted
Nov 04 18:59:46 | dm-8: device node name blacklisted
Nov 04 18:59:46 | dm-9: device node name blacklisted
===== paths list =====
uuid              hcil    dev dev_t pri dm_st chk_st vend/prod/rev            
3500003937809e810 0:0:4:0 sda 8:0   1   undef ready  IBM     ,MBF2600RC       
350000393780939e4 0:0:5:0 sdb 8:16  1   undef ready  IBM     ,MBF2600RC       
35000039378093b9c 0:0:7:0 sdc 8:32  1   undef ready  IBM     ,MBF2600RC       
3500003937809e810 1:0:4:0 sdd 8:48  1   undef ready  IBM     ,MBF2600RC       
350000393780939e4 1:0:5:0 sde 8:64  1   undef ready  IBM     ,MBF2600RC       
35000039378093b9c 1:0:7:0 sdf 8:80  1   undef ready  IBM     ,MBF2600RC       
Nov 04 18:59:46 | params = 0 0 2 1 service-time 0 1 2 8:32 1 1 service-time 0 1 2 8:80 1 1 
Nov 04 18:59:46 | status = 2 0 0 0 2 1 A 0 1 2 8:32 A 0 0 1 E 0 1 2 8:80 A 0 0 1 
Nov 04 18:59:46 | mpathc: disassemble map [0 0 2 1 service-time 0 1 2 8:32 1 1 service-time 0 1 2 8:80 1 1 ]
Nov 04 18:59:46 | mpathc: disassemble status [2 0 0 0 2 1 A 0 1 2 8:32 A 0 0 1 E 0 1 2 8:80 A 0 0 1 ]
Nov 04 18:59:46 | params = 0 0 2 1 service-time 0 1 2 8:16 1 1 service-time 0 1 2 8:64 1 1 
Nov 04 18:59:46 | status = 2 0 0 0 2 1 A 0 1 2 8:16 A 0 0 1 E 0 1 2 8:64 A 0 0 1 
Nov 04 18:59:46 | mpathb: disassemble map [0 0 2 1 service-time 0 1 2 8:16 1 1 service-time 0 1 2 8:64 1 1 ]
Nov 04 18:59:46 | mpathb: disassemble status [2 0 0 0 2 1 A 0 1 2 8:16 A 0 0 1 E 0 1 2 8:64 A 0 0 1 ]
Nov 04 18:59:46 | params = 0 0 2 1 service-time 0 1 2 8:0 1 1 service-time 0 1 2 8:48 1 1 
Nov 04 18:59:46 | status = 2 0 0 0 2 1 A 0 1 2 8:0 A 0 0 1 E 0 1 2 8:48 A 0 0 1 
Nov 04 18:59:46 | mpatha: disassemble map [0 0 2 1 service-time 0 1 2 8:0 1 1 service-time 0 1 2 8:48 1 1 ]
Nov 04 18:59:46 | mpatha: disassemble status [2 0 0 0 2 1 A 0 1 2 8:0 A 0 0 1 E 0 1 2 8:48 A 0 0 1 ]
Nov 04 18:59:46 | directio checker refcount 6
Nov 04 18:59:46 | const prioritizer refcount 6
Nov 04 18:59:46 | directio checker refcount 5
Nov 04 18:59:46 | const prioritizer refcount 5
Nov 04 18:59:46 | directio checker refcount 4
Nov 04 18:59:46 | const prioritizer refcount 4
Nov 04 18:59:46 | directio checker refcount 3
Nov 04 18:59:46 | const prioritizer refcount 3
Nov 04 18:59:46 | directio checker refcount 2
Nov 04 18:59:46 | const prioritizer refcount 2
Nov 04 18:59:46 | directio checker refcount 1
Nov 04 18:59:46 | const prioritizer refcount 1
Nov 04 18:59:46 | unloading const prioritizer
Nov 04 18:59:46 | unloading directio checker
[root@junostac4 ~]# dmsetup ls --target multipath
mpathc	(253, 2)
mpathb	(253, 4)
mpatha	(253, 0)

Comment 11 Ben Marzinski 2014-11-05 05:24:42 UTC
could you mount /boot by UUID, so that you didn't need to specify a specific device?

Comment 12 Mark Hamzy 2014-11-05 12:48:05 UTC
Possibly.  Isn't /etc/multipath/bindings supposed to guarantee the same disk gets the same name every time?

Are there some more debugging commands that you want me to run?

Comment 13 Dan Horák 2014-11-05 13:25:38 UTC
internal RTT agreed to test multipath on x86 fedora, we should have their results till end of the week

Comment 14 Mark Hamzy 2014-11-05 15:27:56 UTC
BTW

[root@junostac4 ~]# sed -i -e 's,/dev/mapper/mpatha2 *,'`blkid -p -s UUID /dev/mapper/mpathb2 | cut -f2 -d' '`' ,' /etc/fstab

does work.  This looks like:

UUID=b8ac4471-9641-48c8-bfcb-bc4c3ae26d42 /boot                   ext4    defaults        1 2

Comment 15 Mark Hamzy 2014-11-05 15:30:47 UTC
Oh, and how to reproduce this:

I selected three multipath drives on the Installation Destination page.
Then I chose automatic partitioning.
Then I reclaimed all the content on the drives.

This creates an LVM partition that spans three multipath drives. /boot will exist outside of the LVM partition on the first drive. And a prepboot partition will also be created.

Comment 16 David Lehman 2014-11-05 16:04:52 UTC
(In reply to Ben Marzinski from comment #11)
> could you mount /boot by UUID, so that you didn't need to specify a specific
> device?

Isn't there an obvious bug here in that /etc/multipath/bindings is being ignored?

Comment 17 Ben Marzinski 2014-11-05 17:59:19 UTC
When you boot up, and see the multipath devices name not matching what's in /etc/multipath/bindings. Could you check /var/log/messages.

Shortly after multipathd starts up, you should see messages like:

multipathd: <wwid>: unable to rename <old_binding> to <new_binding> (<new_binding> in use by <other_wwid>)

On my machine, they look like:
Nov  5 06:10:01 ask-07 multipathd: 3600d02300069c9ce09d41c4ac9c53200: unable to rename mpatha to mpathe (mpathe is used by 3600d0230000000000e13955cc3757803)
Nov  5 06:10:01 ask-07 multipathd: 3600d0230000000000e13955cc3757800: unable to rename mpathb to mpathd (mpathd is used by 3600d0230000000000e13955cc3757802)
Nov  5 06:10:01 ask-07 multipathd: mpathc: load table [0 488118272 multipath 0 0 2 1 service-time 0 1 1 8:48 1 service-time 0 1 1 8:128 1]
Nov  5 06:10:01 ask-07 multipathd: 3600d0230000000000e13955cc3757802: unable to rename mpathd to mpathb (mpathb is used by 3600d0230000000000e13955cc3757800)
Nov  5 06:10:01 ask-07 multipathd: 3600d0230000000000e13955cc3757803: unable to rename mpathe to mpatha (mpatha is used by 3600d02300069c9ce09d41c4ac9c53200)

These will happen if the copy of /etc/multipath/bindings in the initramfs doesn't match the copy in the regular filesystem.

Even if you don't see these, it would be helpful to look at /var/log/messages anyway.

Comment 18 Mark Hamzy 2014-11-05 20:20:52 UTC
Created attachment 954164 [details]
/var/log/messages from failed system boot up

Comment 19 Mark Hamzy 2014-11-05 20:23:36 UTC
I don't see any "unable" in /var/log/messages.  Do all of those multipath messages look correct, Ben?

Comment 20 Ben Marzinski 2014-11-10 16:16:40 UTC
The /var/log/messages you attached appears to contain the messages from two booting attempts. The first one hits

Nov  5 14:33:08 junostac4 systemd: Timed out waiting for device dev-mapper-mpatha2.device.

And the second one appears to succeed.  In both of them the messages look normal. There doesn't appear to be any attempt to rename the devices. The only real difference is that in the failing attempt, only one path for each device exists in early boot, and the second one is added after pivoting to the real fileystem. However, it appears that the second path gets added correctly.

The results look different from in your earlier Comments. In Comment 10, where the multipath setup matches the bindings file, mpatha gets sda, mpathb gets sdb, and mpathc gets sdc.  In Comment 8, where the multipath setup doesn't match, mpatha gets sdc, mpathb gets sdb, and mpathc gets sda.  In both the two bootups in the posted /var/log/messages, mpatha gets sda, mpathb gets sdb and mpathc gets sdc. I realize that sda, sdb, and sdc don't always refer to the same device, but in cases like this they are generally pretty consistent. Unfortunately, none of the messages state the WWID, so it's impossible to verify which actual LUN got put where.

So, what exactly am I looking at here?  Is this an example of two bootups with no changes where one happens to fail, and the next happens to succeed. Or did you change the fstab after boot one, and so in boot two, it's looking in the correct place?

Which leads me to another question. Is this a case where the user friendly name that multipath assigns changes from boot to boot, or does it does it always come up the same when you boot, and the only change is between what happened when you isntalled, and what happens on the subsequent boots?

Comment 21 Mark Hamzy 2014-11-10 16:28:52 UTC
The two differences you see are due to two different installations.  I have even seen installation work once.  Anaconda will always mount /boot as /dev/mapper/mpatha2.  It seems that, after installation, mpatha will be one of the three drives chosen randomly.  Subsequent reboots with the same installation will be consistent.

Comment 22 Ben Marzinski 2014-11-10 17:42:58 UTC
So, on an installation where mpatha doesn't agree with anaconda, can you show me the results of

# cat /etc/multipath/bindings
# lsinitrd -f /etc/multipath/bindings

Comment 23 Mark Hamzy 2014-11-11 13:53:54 UTC
[anaconda root@junostac4 ~]# cat /etc/multipath/bindings
# Multipath bindings, Version : 1.0
# NOTE: this file is automatically maintained by the multipath program.
# You should not need to edit this file in normal circumstances.
#
# Format:
# alias wwid
#
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c
[anaconda root@junostac4 ~]# lsinitrd -f /etc/multipath/bindings
-bash: lsinitrd: command not found
[anaconda root@junostac4 ~]# scp root@ppc64lehamzytest1.rch.stglabs.ibm.com:/usr/bin/lsinitrd /usr/bin/
[anaconda root@junostac4 ~]# lsinitrd -f /etc/multipath/bindings
[anaconda root@junostac4 ~]# bash -x lsinitrd -f /etc/multipath/bindings
...
+ zcat -- /boot/initramfs-3.17.1-302.fc21.ppc64.img
+ cpio --extract --verbose --quiet --to-stdout etc/multipath/bindings
...
[anaconda root@junostac4 ~]# zcat -- /boot/initramfs-3.17.1-302.fc21.ppc64.img | cpio --list /etc/multipath/\*
/etc/multipath/bindings
/etc/multipath/wwids
764806 blocks
[anaconda root@junostac4 ~]# zcat -- /boot/initramfs-3.17.1-302.fc21.ppc64.img | cpio --extract --verbose --quiet --to-stdout /etc/multipath/bindings 2>/dev/null 
# Multipath bindings, Version : 1.0
# NOTE: this file is automatically maintained by the multipath program.
# You should not need to edit this file in normal circumstances.
#
# Format:
# alias wwid
#
mpatha 350000393780939e4
mpathb 35000039378093b9c
mpathc 3500003937809e810

Comment 24 Mark Hamzy 2014-11-11 14:45:09 UTC
[anaconda root@junostac4 ~]# ls -l /dev/disk/by-id/
total 0
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-live-base -> ../../dm-9
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-live-rw -> ../../dm-8
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpatha -> ../../dm-0
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpatha1 -> ../../dm-4
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpatha2 -> ../../dm-6
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpatha3 -> ../../dm-7
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpathb -> ../../dm-1
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpathb1 -> ../../dm-3
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpathc -> ../../dm-2
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-name-mpathc1 -> ../../dm-5
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-mpath-350000393780939e4 -> ../../dm-0
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-mpath-35000039378093b9c -> ../../dm-1
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-mpath-3500003937809e810 -> ../../dm-2
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-part1-mpath-350000393780939e4 -> ../../dm-4
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-part1-mpath-35000039378093b9c -> ../../dm-3
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-part1-mpath-3500003937809e810 -> ../../dm-5
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-part2-mpath-350000393780939e4 -> ../../dm-6
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 dm-uuid-part3-mpath-350000393780939e4 -> ../../dm-7
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 lvm-pv-uuid-AXVn0I-AVA3-AXpe-AFyx-z5x2-Lwye-ILi3yv -> ../../dm-7
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 lvm-pv-uuid-gi0Uv6-tAoP-o7gC-tPdy-MOJt-8RqY-9913sM -> ../../dm-3
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 lvm-pv-uuid-p4Wrml-gwK5-Lyib-mF42-OoOW-fsZF-crIGe3 -> ../../dm-5
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 scsi-350000393780939e4 -> ../../sde
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 scsi-350000393780939e4-part1 -> ../../sde1
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 scsi-350000393780939e4-part2 -> ../../sde2
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 scsi-350000393780939e4-part3 -> ../../sde3
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 scsi-35000039378093b9c -> ../../sdf
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 scsi-35000039378093b9c-part1 -> ../../sdf1
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 scsi-3500003937809e810 -> ../../sdd
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 scsi-3500003937809e810-part1 -> ../../sdd1
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 wwn-0x50000393780939e4 -> ../../sde
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 wwn-0x50000393780939e4-part1 -> ../../sde1
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 wwn-0x50000393780939e4-part2 -> ../../sde2
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 wwn-0x50000393780939e4-part3 -> ../../sde3
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 wwn-0x5000039378093b9c -> ../../sdf
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 wwn-0x5000039378093b9c-part1 -> ../../sdf1
lrwxrwxrwx. 1 root root  9 Nov 11 13:32 wwn-0x500003937809e810 -> ../../sdd
lrwxrwxrwx. 1 root root 10 Nov 11 13:32 wwn-0x500003937809e810-part1 -> ../../sdd1

Comment 25 Mark Hamzy 2014-11-11 15:35:21 UTC
[anaconda root@junostac4 ~]# multipath -l
mpathc (3500003937809e810) dm-2 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=0 status=active
| `- 0:0:4:0 sda 8:0  active undef running
`-+- policy='service-time 0' prio=0 status=enabled
  `- 1:0:4:0 sdd 8:48 active undef running
mpathb (35000039378093b9c) dm-1 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=0 status=active
| `- 0:0:7:0 sdc 8:32 active undef running
`-+- policy='service-time 0' prio=0 status=enabled
  `- 1:0:7:0 sdf 8:80 active undef running
mpatha (350000393780939e4) dm-0 IBM     ,MBF2600RC       
size=559G features='0' hwhandler='0' wp=rw
|-+- policy='service-time 0' prio=0 status=active
| `- 0:0:5:0 sdb 8:16 active undef running
`-+- policy='service-time 0' prio=0 status=enabled
  `- 1:0:5:0 sde 8:64 active undef running


So do I understand this situation correctly right now during the booted installer?  /dev/sda is wwid 3500003937809e810 and is also /dev/mapper/mpathc and is also dm-2.  That is directly conflicting with the data in /etc/multipath/bindings.

Comment 26 Ben Marzinski 2014-11-11 21:46:12 UTC
So yes, it appears that the scsi device wwids do correctly match the multipath device wwids, but the alias is based on the initramfs /etc/multipath/bindings, which doesn't match the real root filesystm /etc/multipath/bindings

From Comment 23:
The real root filesystem version of /etc/multipath/bindings has:
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c

It initramfs version of /etc/multipath/bindings has:
mpatha 350000393780939e4
mpathb 35000039378093b9c
mpathc 3500003937809e810

And your multipath -l output has:
mpatha (350000393780939e4)
mpathb (35000039378093b9c)
mpathc (3500003937809e810)

Now the question is, why don't the two versions of /etc/multipath/bindings match?  David, how do these get created?  I assumed that multipath creates the real filesystem /etc/multipath/bindings when it discovers the devices. Then at some point in the installation, dracut is run to create the initramfs, and it should just be copying the real filesystem /etc/multipath/bindings into the initramfs.  But the initramfs copy of this file is different.

Any idea how that could happen?

Comment 27 Ben Marzinski 2014-11-11 22:47:03 UTC
I should point a bit of multipath stupidness that may be relevant here. Bug 1086825 deals with a case that is similar.  In this case it appears that all the paths are going to the correct maps, but the that bug shows how two different bindings files could be created in the installer.

When multipath first creates the devices, it will add the bindings to /etc/multipath/bindings.  If that file is later deleted or moved and then multipath is run with -r or multipathd is restarted or reloaded, it will check to see if the devices have been renamed.  When it does this, it will not find any bindings (because the file is gone), and it will create new ones. These won't necessarily match the devices' current names.  I'm not sure how /etc/multipath/bindings could disappear while the installer is running, but if it did, you could end up with a different version.

Starting in f22, multipath is smart enough that when it finds that an existing multipath device with a user_friendly_name doesn't have a binding in /etc/multipath/bindings, it will first try to register the existing name.  This means that even if the bindings file disappeared during install, the file the multipath would create would be identical.

However, for this problem to come up,  /etc/multipath/bindings needs to get removed sometime during the installer run, so that one version can end up in
the initramfs and one version can end up in the real root filesystem.  And possibly, the actual problem here is completely unrelated to Bug 1086825. It's just a thought.

Comment 28 David Lehman 2014-11-11 23:53:26 UTC
multipathd creates the bindings file. blivet only copies it into the new rootfs at the end of the installation. AFAICT anaconda initiates the copy of the bindings file well before we recreate the initramfs.

The only place anything like what you describe in comment 27 could happen is during the switchroot from the initramfs to the installer's runtime, but that would mean that multipathd is writing out a bogus bindings file in the installer runtime after the switchroot. multipathd runs (I think) in the initramfs, and then it gets somehow reloaded after we switchroot into the installer's real runtime evironment. Ben, I remember there being some fix required to multipathd to accomplish this without losing track of what was done in the initramfs. Sound familiar?

To be clear, neither anaconda nor blivet moves or removes the bindings file. Blivet copies it from the installer runtime into the installed system.

Comment 29 Mark Hamzy 2014-11-12 02:02:41 UTC
Has the f22 version of multipath that you are talking about been built yet?  Is there a way to test that behavior now?

Comment 30 Ben Marzinski 2014-11-12 15:39:46 UTC
Yeah:

http://kojipkgs.fedoraproject.org/packages/device-mapper-multipath/0.4.9/68.fc22/

I can build an updates.img file with the new multipath packages. You'd just copy the image file to: 

http://some.website.com/path/to/updates.img

and use the:

inst.updates=http://some.website.com/path/to/updates.img

kernel command line when booting into the installer. It's also possible to put the updates.img in images/ directory of your installation tree for CD, hard drive, HTTP, NFS or FTP installs. For NFS installs, you can also explode the image into the RHupdates/ directory of the installation tree.

The updates.img will overrwrite the device-mapper-multipath files that are used in the installation process.  It shouldn't matter the version of the tools you use in the installation process doesn't match the version that the installed system uses.

Comment 31 Mark Hamzy 2014-11-12 16:19:31 UTC
I don't see the bindings switch at all when causing multipath to reload:

[anaconda root@junostac4 ~]# cat /etc/multipath/bindings | sed -e '/^#/d'
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c
[anaconda root@junostac4 ~]# dmsetup remove_all
[anaconda root@junostac4 ~]# dmsetup -v ls
live-rw (253:8)
[anaconda root@junostac4 ~]# rm /etc/multipath/bindings /etc/multipath/wwids
[anaconda root@junostac4 ~]# multipath -v3
[anaconda root@junostac4 ~]# cat /etc/multipath/bindings | sed -e '/^#/d'
mpatha 3500003937809e810
mpathb 350000393780939e4
mpathc 35000039378093b9c


Am I doing that right?

I can run an updates.img file easily enough. Although it would need to be build for ppc64le.  Dan is performing a scratch build of http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2178471

Comment 32 Ben Marzinski 2014-11-12 16:29:27 UTC
(In reply to David Lehman from comment #28)
> multipathd creates the bindings file. blivet only copies it into the new
> rootfs at the end of the installation. AFAICT anaconda initiates the copy of
> the bindings file well before we recreate the initramfs.
> 
> The only place anything like what you describe in comment 27 could happen is
> during the switchroot from the initramfs to the installer's runtime, but
> that would mean that multipathd is writing out a bogus bindings file in the
> installer runtime after the switchroot. multipathd runs (I think) in the
> initramfs, and then it gets somehow reloaded after we switchroot into the
> installer's real runtime evironment. Ben, I remember there being some fix
> required to multipathd to accomplish this without losing track of what was
> done in the initramfs. Sound familiar?

Yeah. Multipathd needed the register the wwids of the already existing paths with /etc/multipath/wwids. It actually needed to register the already existing bindings with /etc/multipath/bindings to, but it didn't. That's what 
Bug 1086825 fixes.

I don't think that 1086825 happening during during the installer would get us this outcome.  I could see that causing the wrong bindings file to end up in both the initramfs and real root filesystem.  But in this case dracut copied the
correct version of the file into the initramfs.  Multipath has no code in it
to delete either the entire bindings file or any part of it.  It can only
add new lines. But looking at the results, that file did get changed between
when it was copied to the real root filesystem and the initramfs.

One thing that makes no sense to me, however, is the order.  If anaconda copies the file the real root filesystem first, and dracut makes the initramfs second,
that means that when anaconda runs, the file is incorrect, but when dracut runs later, the file is correct.

> To be clear, neither anaconda nor blivet moves or removes the bindings file.
> Blivet copies it from the installer runtime into the installed system.

Comment 33 Ben Marzinski 2014-11-12 16:31:29 UTC
(In reply to Mark Hamzy from comment #31)
> I don't see the bindings switch at all when causing multipath to reload:
> 
> [anaconda root@junostac4 ~]# cat /etc/multipath/bindings | sed -e '/^#/d'
> mpatha 3500003937809e810
> mpathb 350000393780939e4
> mpathc 35000039378093b9c
> [anaconda root@junostac4 ~]# dmsetup remove_all
> [anaconda root@junostac4 ~]# dmsetup -v ls
> live-rw (253:8)
> [anaconda root@junostac4 ~]# rm /etc/multipath/bindings /etc/multipath/wwids
> [anaconda root@junostac4 ~]# multipath -v3
> [anaconda root@junostac4 ~]# cat /etc/multipath/bindings | sed -e '/^#/d'
> mpatha 3500003937809e810
> mpathb 350000393780939e4
> mpathc 35000039378093b9c
> 
> 
> Am I doing that right?
> 
> I can run an updates.img file easily enough. Although it would need to be
> build for ppc64le.  Dan is performing a scratch build of
> http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2178471

It won't change the bindings file. multipath can't. It can only add to it.  But it should make the the multipath devices match the bindings file.

Comment 34 Dan Horák 2014-11-12 16:39:14 UTC
http://fedora.danny.cz/ppc/updates.img from the above build for ppc64

Comment 35 Mark Hamzy 2014-11-13 13:31:33 UTC
The updates.img file seems to fix the issue.  Although it does not get installed as this method is supposed to only fix the installer runtime.

So, how much code is different in device-mapper-multipath-0.4.9-68.fc22? And can you build that release in fc21?  And with a new version number I assume?

Comment 36 Ben Marzinski 2014-11-13 15:46:50 UTC
(In reply to Mark Hamzy from comment #35)
> The updates.img file seems to fix the issue.  Although it does not get
> installed as this method is supposed to only fix the installer runtime.

Great.  Since we're in the post beta development freeze, I can't pull all the changes back.  There are a number of unrelated feature enhancements and in post beta, we can only add patches to fix bugs. But I can pull back the releated changes (there are actually 3 associated patches).

> So, how much code is different in device-mapper-multipath-0.4.9-68.fc22? And
> can you build that release in fc21?  And with a new version number I assume?

This is actually the second post beta freeze request for a backported fix to f21. Since according to rpm:

0.4.9-68.fc21 < 0.4.9-68.fc22

I just backported the patch and bumped the version. In hindsight, I probably should have used -0.4.9-67.fc21.1 like rhel does for zstream releases. Technically:

0.4.9-68.fc21.1 < 0.4.9-68.fc22

But that looks much more like the package got downgraded, so I'll probably also rebuild the f22 release, just to bump the version number to -69, so they look like

0.4.9-68.fc21.1

and

0.4.9-69.fc22


Lessons learned.

Comment 37 Fedora Update System 2014-11-13 22:49:11 UTC
device-mapper-multipath-0.4.9-68.fc21.1 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/device-mapper-multipath-0.4.9-68.fc21.1

Comment 38 Ben Marzinski 2014-11-13 23:11:41 UTC
device-mapper-multipath-0.4.9-68.fc21.1 has been built with the rename patches backported.  Like I mentioned, it doesn't have everything that the fc22 build did, so it would be worthwhile retesting with this.

It's currently in testing.

Comment 39 Dan Horák 2014-11-14 13:03:41 UTC
updates image build from the device-mapper-multipath-0.4.9-68.fc21.1 rpms http://fedora.danny.cz/ppc/updates-new.img

Comment 40 Fedora Blocker Bugs Application 2014-11-14 15:02:36 UTC
Proposed as a Blocker for 21-final by Fedora user sharkcz using the blocker tracking app because:

 Installs on FC multipath devices are broken and multipath installation is a criteria for final.

Comment 41 Fedora Update System 2014-11-15 09:20:30 UTC
Package device-mapper-multipath-0.4.9-68.fc21.1:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing device-mapper-multipath-0.4.9-68.fc21.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15126/device-mapper-multipath-0.4.9-68.fc21.1
then log in and leave karma (feedback).

Comment 42 Fedora Update System 2014-11-17 06:31:53 UTC
device-mapper-multipath-0.4.9-68.fc21.1 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.